/**
 * 通用分页
 */
function PullDownLoader(parameters)
{
	var obj=this;
	
	var currentPageNo=0;
	var hasLoaded=0;
	
	var method;
	var requestUrl;
	var startPageNo;
	var pageSize;
	var dataType;
	var isLoading=false;
	var completed=false;
	
	this.loadNextPage=function()
	{
		if(isLoading===true||completed===true)
		{
			return;
		}
		isLoading=true;
		this.previousLoading();
		mui.ajax
		(
			requestUrl,
			{
				type:method,
				data:obj.createRequestData(),
				dataType:dataType,
				success:function(response)
				{
					if(obj.handleSuccess(response)===true)
					{
						var loaded=obj.doRefresh(response);
						hasLoaded+=loaded;
					}
					isLoading=false;
					obj.afterLoading(response);
				},
				error:function(response)
				{
					isLoading=false;
					obj.afterLoading(response);
					obj.handleError(response);
				}
			}
		);
	}
	
	this.previousLoading=function()
	{
		return;
	}
	
	this.afterLoading=function(response)
	{
		return;
	}
	
	this.doRefresh=function(response)
	{
		return 0;
	}
	
	this.getNextPage=function()
	{
		if(hasLoaded==0)
		{
			return startPageNo;
		}
		else
		{
			return Math.ceil(hasLoaded/pageSize)+1;
		}
	}
	
	this.createRequestData=function()
	{
		return null;
	}
	
	this.handleSuccess=function(response)
	{
		return false;
	}
	
	this.handleError=function(response)
	{
		return;
	}
	
	this.update=function(parameters)
	{
		method=parameters.method?parameters.method:"GET";
	 	requestUrl=parameters.requestUrl;
	 	startPageNo=parameters.startPageNo?parameters.startPageNo:1;
	 	pageSize=parameters.pageSize?parameters.pageSize:4;
	 	dataType=parameters.dataType?parameters.dataType:"json";
	}
	
	this.resetLoadingState=function(state)
	{
		isLoading=state?state:false;
	}
	
	this.resetHasLoaded=function()
	{
		hasLoaded=0;
	}
	
	this.getPageSize=function()
	{
		return pageSize;
	}
	
	this.getRequestUrl=function()
	{
		return requestUrl;
	}
	
	this.getLoadedCount=function()
	{
		return hasLoaded;
	}
	
	this.isLoading=function()
	{
		return isLoading;
	}
	
	this.resetCompleted=function(isCompleted)
	{
		completed=isCompleted;
	}
	
	this.isCompleted=function()
	{
		return completed;
	}
	
	this.update(parameters);
}
