/*
 * 微信自动登陆获取tokenId
 * begin
 */

window.addEventListener('load',function()
{
	if(new BASE().getRUMTIME()==2)
	{
		var serverVersion=sessionStorage.getItem('serverVersion');
		var appVersion=sessionStorage.getItem('appVersion');
		if(appVersion>serverVersion)
		{
			document.getElementById('question').classList.add('v2');
			document.getElementById('question').querySelector('img').setAttribute('src','images/yuan_wenzhenSH.png');
		}
	}
	else
	{
		sessionStorage.removeItem('versionSize');
	}
});

var args = GetRequest();
if(args || args.length >= 1) {
	console.info(args);
	if(args.tokenId) {
		mui.toast("微信自动登陆");
		loadData(args.tokenId);
	}
}

function loadData(tokenId) {
	var base = new BASE();
	//				var modal = new Modal("#waiting");
	localStorage.removeItem("profile");
	var url = base.getBASEURL() + "/appapi/1/user/wxAutoLogin/profile?tokenId=" + tokenId;
	mui.ajax(url, {
		success: function(response) {
			//						modal.hide();
			console.log(response.obj);
			if(response.errorCode != 1001) {
				mui.toast(response.msg);
				return;
			}
			window.localStorage.profile = "(" + JSON.stringify(response.obj) + ")";
			window.localStorage.account = response.obj.account;
		},
		error: function(response) {
			mui.toast("一键登陆失败：" + JSON.stringify(response));
		}
	});
}

//mui初始化
mui.init();
adjustIframeHeight();
var tabView = new TabView("#tabView", "#tabHost");
//选项卡点击事件
mui('.mui-bar-tab').on('tap', 'a', function() {
	var tabHost = document.getElementById("tabHost");
	var activeItem = document.querySelector('.active-tab');

	switch(this.id) {
		case 'mall':
			{
				checkLogin(_jumpToMall);
				return;
			}
			break;
		case 'mine':
			{
				document.getElementById('one').style.display = 'block';
				document.getElementById('two').style.display = 'none';
			}
			//						{
			//							var url = new BASE().getBASEURL() + "appapi/1/user/getMallToken";
			//							var homeUrl = null;
			//							if(window.videoAvailable) {
			//								homeUrl = "http://m.guohaozhongyi.com/home.html#question";
			//							} else {
			//								homeUrl = location.protocol + "//" + location.host + location.pathname + "#question";
			//								if(!homeUrl) {
			//									homeUrl = location.href;
			//								}
			//							}	
			//							if(localStorage.profile){
			//								mui.ajax(url, {
			//									data: {
			//										jumpUrl: "index.html?homeUrl=" + homeUrl
			//									},
			//									type: "POST",
			//									success: function(response) {
			//										if(response.success) {
			//											//	openWindowInParent("http://192.168.8.249:8000/index.html?homeUrl="+base64encode(location.href));
			//											//	var	url=response.msg+"&homeUrl="+base64decode(location.href);
			//											var url = response.msg;
			//											//	alert(url);
			//											mui.openWindow(url);
			//											//	mui.openWindow("http://192.168.8.249:8000/index.html?homeUrl="+escape(location.href));
			//										} else {
			//											openWindow("http://wmall.guohaozhongyi.com");
			//										}
			//									},
			//									error: function(response) {
			//										mui.toast("网络出错：" + JSON.stringify(response));
			//									}
			//								});
			//							}else{
			//								openWindow("http://wmall.guohaozhongyi.com/api/logoutToIndex.do?jumpUrl=");
			//							}							
			//							return;
			//						}
			//						break;
		default:
			{
				tabView.switchTab(this.id);
				adjustIframeHeight();
				//更改当前活跃的选项卡
				activeItem.classList.remove('active-tab');
				//console.info(activeItem.id+":"+JSON.stringify(activeItem.classList));
				this.classList.add('active-tab');
				//console.info(this.id+":"+JSON.stringify(this.classList));
				history.replaceState({}, '', window.location.pathname + "#" + this.id);
			}
	}
});

function checkLogin(callback) {
	var homeUrl = null;
	if(window.videoAvailable || window.parent.videoAvailable) {
		homeUrl = "http://m.guohaozhongyi.com/home.html#question";
	} else {
		homeUrl = location.protocol + "//" + location.host + location.pathname + "#question";
	}
	if(!homeUrl) {
		homeUrl = location.href;
	}

	var base = new BASE();
	var profile = localStorage.profile;
	if(profile) {
		profile = eval(profile);
		var tokenId = profile.tokenId;
		mui.ajax(
			base.getBASEURL() + 'appapi/1/user/checkLogin', {
				type: 'POST',
				data: {
					tokenId: tokenId
				},
				success: function(response) {
					if(response.success && response.errorCode == 1001) {
						callback();
					} else {
						//									mui.toast(response.msg);
						mui.openWindow("http://wmall.guohaozhongyi.com/api/logoutToIndex.do?jumpUrl=index.html?homeUrl=" + homeUrl);
					}
				},
				error: function(response) {
					mui.toast('网络连接失败');
				}
			}
		);
	} else {
		//					mui.toast("没登陆或注销状态");
		homeUrl = homeUrl.replace("home", "loginHome");
		mui.openWindow("http://wmall.guohaozhongyi.com/api/logoutToIndex.do?jumpUrl=index.html?homeUrl=" + homeUrl);
		//					callback();
	}

}

function _jumpToMall() {
	var url = new BASE().getBASEURL() + "appapi/1/user/getMallToken";
	var homeUrl = null;
	if(window.videoAvailable || window.parent.videoAvailable) {
		homeUrl = "http://m.guohaozhongyi.com/home.html#question";
	} else {
		homeUrl = location.protocol + "//" + location.host + location.pathname + "#question";
	}
	if(!homeUrl) {
		homeUrl = location.href;
	}
	mui.ajax(url, {
		data: {
			jumpUrl: "index.html?homeUrl=" + homeUrl
		},
		type: "POST",
		success: function(response) {
			if(response.success) {
				var url = response.msg;
				//								mui.toast(response.msg);
				mui.openWindow(url);
			} else {
				mui.toast(response.msg);
				//								openWindow("http://wmall.guohaozhongyi.com?homeUrl=" + escape(homeUrl));
			}
		},
		error: function(response) {
			mui.toast("网络出错：" + JSON.stringify(response));
		}
	});
}

function adjustIframeHeight() {
	var tabHost = document.getElementById("tabHost");
	document.getElementById("tabView").style.height = (window.innerHeight - tabHost.offsetHeight) + "px";
}

function onLoginSuccess() {
	mui.toast("登录成功！");
	var mine = tabView.getTabById('mine');
	mine.contentWindow.onpageshow();
	var question = tabView.getTabById('question');
	question.contentWindow.hideOrShowBtn();
}

function onNoteMessage() {
	//				mui.toast("onNoteMessage！");
	var mine = tabView.getTabById('mine');
	mine.contentWindow.onpageshow();
}

function switchTab(id) {
	var tab = document.getElementById(id);
	mui.trigger(tab, 'tap');
}

function refreshIframeHeight(h) {
	document.getElementById("iframe").style.height = h + "px";
	//	mui.toast("高度"+h);
}

//当前激活选项
if(location.hash == '') window.hash = 'question';
else window.hash = location.hash.substr(1);
window.activeTab = document.getElementById(hash);
mui.trigger(activeTab, 'tap');

window.addEventListener('resize', function() {
	adjustIframeHeight();
});