mui.init();
var args = new GetRequest();
if(!args.orderId) mui.back();
if(args.recharge == 1) {
	document.querySelector('.rechargeLi').style.display = 'none';
}
var base = new BASE();
if(typeof WeixinJSBridge == "undefined") {
	if(document.addEventListener) {
		document.addEventListener('WeixinJSBridgeReady', autoWeiXinPay, false);
	} else if(document.attachEvent) {
		document.attachEvent('WeixinJSBridgeReady', autoWeiXinPay);
		document.attachEvent('onWeixinJSBridgeReady', autoWeiXinPay);
	}
}

window.addEventListener('load', function() {
	document.body.style.height = window.innerHeight + 'px';
	if(location.hash) history.back();
});

window.onhashchange = function(event) {
	if(location.hash == '#pay') document.getElementById('pay').classList.add('active');
	else document.getElementById('pay').classList.remove('active');
};

function pay() {
	var payWay = document.querySelector("input:checked").value;
	if(payWay == '1') alipay();
	else if(payWay == '2') weixinPay();
	else if(payWay == '3') accountPay();
	else mui.toast('暂不支持该支付方式！');

	if(base.getRUMTIME() == 2 && payWay == '2') {
		setTimeout(function() {
			mui.confirm("立即更新?", "支付情况", ['已完成', '有问题'], function(event) {
				if(event.index == 0) {
					mui.back();
					mui.toast("成功");
				} else {
					mui.toast("失败");
					mui.back();
				}
			});
		}, 5000);
	}
}

function weixinPreCreate(tradeType, success, failed) {
	var url = base.getBASEURL() + "/appapi/1/wxpay/create";
	mui.ajax(url, {
		type: 'POST',
		data: {
			tradeType: tradeType,
			tradeNo: args.orderId
		},
		success: function(response) {
			if(base.getRUMTIME() != 1) {
				if(tradeType == 'JSAPI') {
					if(!response.success) failed(response);
					else success(response);
				} else success(response);
			} else if(base.getRUMTIME() == 1) {
				setupWebViewJavascriptBridge(function(bridge) {
					bridge.callHandler('testObjcCallback', {
						'data': response.msg
					}, function(response) {
						log('JS got response', response)
					})
				})
				var notiClass = plus.ios.importClass("NSNotificationCenter");
				notiClass.defaultCenter().postNotificationNameobject("weixinPay", response.msg);
			}
		},
		error: function(response) {
			mui.toast(JSON.stringify(response));
		}
	});
}

function paySuccess() {
	openWindowInParent('order_success.html?payresult=' + '1');
}

function payFail() {
	openWindowInParent('order_success.html?payresult=' + '0');
}

function payCancel() {
	openWindowInParent('order_success.html?payresult=' + '2');
}

function autoWeiXinPay() {
	document.getElementById('alipay').style.display = 'none';
	document.getElementById('weixinpay').click();
}

function setupWebViewJavascriptBridge(callback) {
	if(window.WebViewJavascriptBridge) {
		return callback(WebViewJavascriptBridge);
	}
	if(window.WVJBCallbacks) {
		return window.WVJBCallbacks.push(callback);
	}
	window.WVJBCallbacks = [callback];
	var WVJBIframe = document.createElement('iframe');
	WVJBIframe.style.display = 'none';
	WVJBIframe.src = 'wvjbscheme://__BRIDGE_LOADED__';
	document.documentElement.appendChild(WVJBIframe);
	setTimeout(function() {
		document.documentElement.removeChild(WVJBIframe)
	}, 0)
}

function weixinPay() {
	var isWeiXin = checkWeiXin();
	var success = function(response) {
		var order = eval('(' + response.msg + ')');
		console.info(order);
		if(isWeiXin) {
			mui.toast('公众号支付');
			Object.keys(order).sort(function(pre, next) {});
			WeixinJSBridge.invoke('getBrandWCPayRequest', order,
				function(res) { // 使用以上方式判断前端返回,微信团队郑重提示：res.err_msg将在用户支付成功后返回    ok，但并不保证它绝对可靠。
					//alert(JSON.stringify(res));
					//	if(res.err_msg == "get_brand_wcpay_request：ok") {
					mui.back();
					//	}
				});
		} else if(base.getRUMTIME() == 2) {
			openWindow('weixin://wap/pay?' + JSON.stringify(order));
		} else mui.toast('微信支付在网页不可用！');
	}
	if(isWeiXin) weixinPreCreate('JSAPI', success, getCode);
	else weixinPreCreate('APP', success, function(response) {
		console.info(response.msg)
	});
}

function alipay() {
	if(localStorage.profile) {
		var tokenId = eval(localStorage.profile).tokenId;
		var url = base.getBASEURL() + "appapi/1/alipay/gateway?tradeNo=" + args.orderId + '&subject=abc&tokenId=' + tokenId;
		var iframe = document.getElementById('pay');
		iframe.contentWindow.location.replace(url);
		location.href = location.href + '#pay';
	} else {
		mui.toast('请先登录再尝试');
		location.href = 'login.html';
	}
}

function accountPay() {
	if(localStorage.profile) {
		var tokenId = eval(localStorage.profile).tokenId;
		var url = base.getBASEURL() + "appapi/1/pay/bybalance";
		var data = {
			tradeNo: args.orderId
		};
		mui.ajax(url, {
			type: 'POST',
			data: data,
			success: function(response) {
				if(!response.success) {
					mui.toast(response.msg);
					return;
				} else {
					mui.toast("支付成功！");
					setTimeout(function() {
						mui.back();
					}, 2000);
				}

			},
			error: function(response) {

			}
		});
	} else {
		mui.toast('请先登录再尝试');
		location.href = 'login.html';
	}
}

function closeSelf() {
	history.go(-2);
}

function checkWeiXin() {
	var ua = navigator.userAgent.toLowerCase();
	if(ua.match(/MicroMessenger/i) == "micromessenger") {
		return true;
	} else {
		return false;
	}
}

function getCode() {
	var profile = eval(localStorage.profile);
	if(profile) {
		var url = "https://open.weixin.qq.com/connect/oauth2/authorize?appid=wx79addf0b5e3d68fb&" +
			"redirect_uri=http%3A%2F%2Fapi.guohaozhongyi.com%2Fappapi%2F1%2Fwxpay%2FnotifyCode&" +
			"response_type=code&scope=snsapi_base&state=" + profile.userId + "#wechat_redirect";
		var iframe = document.getElementById('pay');
		iframe.contentWindow.location.replace(url);
	} else mui.toast('请先登录再尝试！');
};