/**
 * 日期转换
 */
Date.prototype.Format = function(fmt) { //author: meizz   
	var o = {
		"M+": this.getMonth() + 1, //月份   
		"d+": this.getDate(), //日  
		"h+": this.getHours(), //小时   
		"m+": this.getMinutes(), //分   
		"s+": this.getSeconds(), //秒   
		"q+": Math.floor((this.getMonth() + 3) / 3), //季度   
		"S": this.getMilliseconds() //毫秒   
	};
	if(/(y+)/.test(fmt))
		fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
	for(var k in o)
		if(new RegExp("(" + k + ")").test(fmt))
			fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
	return fmt;
}

String.isNullOrEmpty = function(str) {
	return str == null || str == '' || typeof(str) == "undefined";
};

function sortByTimeDesc(a, b) {
	return b.msgDateCreated - a.msgDateCreated;
}
/*****服务器基础地址********/
var BASE = function() {

	//	var BASEURL = "http://localhost:8098/"; //  在运行时NUM值是不会被修改的
	var BASEURL = "http://api.guohaozhongyi.com/"; //商城API地址
	//	var MALL_API_URL = "http://localhost:8080/";	//商城API地址
	var MALL_API_URL = "http://wmall.guohaozhongyi.com/"; //商城API地址
	var RUMTIME = 2; // 0：web 1:ios 2:andorid

	return function() {

		this.getBASEURL = function() {
			return BASEURL;
		}

		this.getMallUrl = function() {
			return MALL_API_URL;
		}

		this.getRUMTIME = function() {
			return RUMTIME;
		}

	}
}();

/*ios原生获取审核状态
 * 2016/12/20
 * 富
 */
var AuditStatus = 0;

function isAudit() {
	var auditStatus = eval(window.localStorage.auditStatus);
	if(AuditStatus == 0&&auditStatus==undefined) {
		var base = new BASE();
		if(base.getRUMTIME() == 1) {
			var UserDefaultsClass = plus.ios.importClass("NSUserDefaults");
			var standardUserDefaults = UserDefaultsClass.standardUserDefaults();
			AuditStatus = plus.ios.invoke(standardUserDefaults, "objectForKey:", "isAudit");
			localStorage.setItem('auditStatus',AuditStatus);
		}
	}else{
		AuditStatus=auditStatus;
	}
	return AuditStatus;
}
/**
 * 保存文本消息到localStorage
 * @param {Object} text 信息内容
 * @param {Object} sender 发送者
 * @param {Object} receiver 接收者
 * @param {Object} time 讲话时间
 */
//function saveText(text, sender, receiver, time) {
//	var tempMsg = null;
//	try {
//		tempMsg = localStorage.textMessage ? JSON.parse(localStorage.textMessage) : new Array();
//	} catch(e) {
//		console.info(localStorage.textMessage);
//		localStorage.removeItem("textMessage");
//		tempMsg = new Array();
//		console.log('非Json格式');
//	}
//	tempMsg.push({
//		sender: sender,
//		receiver: receiver,
//		content: text,
//		createTime: time
//	});
//	localStorage.setItem('textMessage', JSON.stringify(tempMsg));
//}

//function uploadText(isConsult,isTry) {
//	var textMessage = localStorage.textMessage; //文本消息
//	if(localStorage.textMessage) textMessage = JSON.parse(textMessage);
//	var tempMessage = localStorage.tempMessage; //上次上传失败的旧消息
//	if(tempMessage) tempMessage = JSON.parse(tempMessage);
//	if(textMessage && tempMessage) {
//		tempMessage = tempMessage.concat(textMessage); //将新消息和旧消息合并
//		localStorage.removeItem('textMessage'); //清空新消息
//	}
//	var pending = tempMessage || textMessage; //待上传消息
//	if(pending) {
//		localStorage.tempMessage = JSON.stringify(pending); //将待上传消息保存到localMessage
//		var url = new BASE().getBASEURL() + 'appapi/1/consult/talk2Cache';
//		var consultList = JSON.stringify(compressTextMessage(pending,isConsult));
//		mui.ajax(url, {
//			type: 'POST',
//			data: {
//				uploadEventId: my_hex_md5(consultList),
//				lastUploadTime: new Date().getTime(),
//				consultList: consultList
//			},
//			success: function(response) {
//			//	console.info(response.msg);
//				if(response.success) 
//				{
//					localStorage.removeItem('tempMessage'); //上传成功后清空待上传消息
//				}
//				else 
//				{
//				//	if(confirm("是否重新尝试上传？")) uploadText(); //重试
//					if(isTry===true)
//					{
//						return;
//					}
//					uploadText(isConsult==0?1:0,true);
//				}
//			},
//			error: function(response)
//			{
//				mui.toast('网络错误:' + JSON.stringify(response));
//			/*	if(confirm("是否重新尝试上传？"))
//				{
//					uploadText(); //重试
//				}*/
//				
//				if(isTry===true)
//				{
//					return;
//				}
//				uploadText(isConsult==0?1:0,true);
//			}
//		});
//		localStorage.removeItem('textMessage');
//	}
//}

//function compressTextMessage(msgList,isConsult) {
//	var compressed = {};
//	for(var i in msgList) {
//		var msg = msgList[i];
//		var index = msg.sender + '|' + msg.receiver;
//		if(!compressed[index]) compressed[index] = new Array();
//		compressed[index].push({
//			text: msg.content,
//			createTime: msg.createTime
//		});
//	}
//	
//	var consultList = [];
//	for(var index in compressed) {
//		var talker = index.split('|');
//		consultList.push({
//			isConsult: isConsult,
//			sender: talker[0],
//			receiver: talker[1],
//			msgList: compressed[index]
//		});
//	}
//	return consultList;
//}

/**
 * 保存文本消息到localStorage ethan 11/28
 * @param {Object} text 信息内容
 * @param {Object} sender 发送者
 * @param {Object} receiver 接收者
 * @param {Object} time 讲话时间
 * @param {Object} isConsult 该会话,当前用户属于哪个角色 1-是（即用户发咨询），0-否（即咨询师发回复）
 */
function saveTextWithIsConsult(text, sender, receiver, time, isConsult) {
	var tempMsg = null;
	try {
		tempMsg = localStorage.textMessage ? JSON.parse(localStorage.textMessage) : new Array();
	} catch(e) {
		console.info(localStorage.textMessage);
		localStorage.removeItem("textMessage");
		tempMsg = new Array();
		console.log('非Json格式');
	}
	tempMsg.push({
		sender: sender,
		receiver: receiver,
		content: text,
		createTime: time,
		isConsult: isConsult
	});
	localStorage.setItem('textMessage', JSON.stringify(tempMsg));
}

/*从数据库上获取IsConsult
 * 2016/11/28
 * begin
 */

function uploadText() {
	var textMessage = localStorage.textMessage; //文本消息
	if(localStorage.textMessage) textMessage = JSON.parse(textMessage);
	var tempMessage = localStorage.tempMessage; //上次上传失败的旧消息
	if(tempMessage) tempMessage = JSON.parse(tempMessage);
	if(textMessage && tempMessage) {
		tempMessage = tempMessage.concat(textMessage); //将新消息和旧消息合并
		localStorage.removeItem('textMessage'); //清空新消息
	}
	var pending = tempMessage || textMessage; //待上传消息
	if(pending) {
		localStorage.tempMessage = JSON.stringify(pending); //将待上传消息保存到localMessage
		var url = new BASE().getBASEURL() + 'appapi/1/consult/talk2Cache';
		var consultList = JSON.stringify(compressTextMessage(pending));
		mui.ajax(url, {
			type: 'POST',
			data: {
				uploadEventId: my_hex_md5(consultList),
				lastUploadTime: new Date().getTime(),
				consultList: consultList
			},
			success: function(response) {
				//	console.info(response.msg);
				if(response.success) {
					localStorage.removeItem('tempMessage'); //上传成功后清空待上传消息
				} else {
					//	if(confirm("是否重新尝试上传？")) uploadText(); //重试
					//					if(isTry===true)
					//					{
					//						return;
					//					}
					//					uploadText();
				}
			},
			error: function(response) {
				console.info('网络错误:' + JSON.stringify(response));
				//				mui.toast('网络错误:' + JSON.stringify(response));
				/*	if(confirm("是否重新尝试上传？"))
					{
						uploadText(); //重试
					}*/

				//				if(isTry===true)
				//				{
				//					return;
				//				}
				//				uploadText();
			}
		});
		localStorage.removeItem('textMessage');
	}
}

function compressTextMessage(msgList) {
	var compressed = {};
	for(var i in msgList) {
		var msg = msgList[i];
		var index = msg.sender + '|' + msg.receiver + '|' + msg.isConsult;
		if(!compressed[index]) compressed[index] = new Array();
		compressed[index].push({
			text: msg.content,
			createTime: msg.createTime
		});
	}
	var consultList = [];
	for(var index in compressed) {
		var talker = index.split('|');
		consultList.push({
			isConsult: talker[2],
			sender: talker[0],
			receiver: talker[1],
			msgList: compressed[index]
		});
	}
	return consultList;
}

/*从数据库上获取IsConsult
 * 2016/11/28
 * end
 */

function GetRequest() {
	var url = location.search; //获取url中"?"符后的字串 
	var theRequest = new Object();
	if(url.indexOf("?") != -1) {
		var str = url.substr(1);
		strs = str.split("&");
		for(var i = 0; i < strs.length; i++) {
			theRequest[strs[i].split("=")[0]] = unescape(strs[i].split("=")[1]);
		}
	}
	return theRequest;
}
/*****封装一些MUI的接口********/
function openWindowInParent(url) {
	if(window.parent) window.parent.openWindow(url);
	else openWindow(url);
}

function openWindow(url) {
	console.info("open");
	window.location.href = url;
}

function plusReady() {
	window.openWindow = function(url) {
		mui.openWindow(url);
	};
	window.openWindowInParent = function(url) {
		plus.webview.currentWebview().opener().evalJS("openWindow('" + url + "');");
	};
}

function onShow() {}

function onHide() {}

/**
 * 该功能仅供APP调用
 */
function enableVideoSupport() {
	window.videoAvailable = true;
	if(window.onVideoAvailable) onVideoAvailable();
}

function initial(event) {
	if(window.beforeLoad) window.beforeLoad(event);
	if(window.loading) window.loading(event);
	if(window.afterLoad) window.afterLoad(event);
}

function logout() {
	localStorage.removeItem("profile");
	delCookie("name");
  	delCookie("pwd");
  	delCookie("isAutoLogin");
	if(window.im) im.logout();
	if(window.videoAvailable || window.parent.videoAvailable) confirm("logout:");
	if(window.onLogoutSucceed) onLogoutSucceed();
}

(function() {
	window.onload = initial();
	document.addEventListener("plusready", plusReady, false);
	uploadText();
	setTimeout(uploadText, 60000);
})();

/**
 * 列表对象
 * @param {Object} selector 选择器
 */
function List(selector) {
	this.list = document.querySelector(selector),
		this.listItem = this.list.querySelector(".list-item"),
		this.append = function(node) {
			this.list.appendChild(node);
		},
		this.getCopy = function() {
			return this.listItem.cloneNode(true);
		},
		this.multipleAppend = function(dataList) {
			for(var i in dataList) {
				var data = dataList[i];
				var item = this.getCopy();
				var article = item.querySelector(".article");
				article.id = data.articleId;
				var name = item.querySelector(".name");
				name.innerHTML = data.userName == null ? "佚名" : data.userName;
				var rank = item.querySelector(".rank");
				rank.innerHTML = new Date(data.createTime).Format("MM-dd hh:mm:ss");
				var title = item.querySelector(".title");
				title.innerHTML = data.title;
				var clickCount = item.querySelector(".clickCount");
				clickCount.innerHTML = data.clickCount;
				var praiseCount = item.querySelector(".praiseCount");
				praiseCount.innerHTML = data.praiseCount;
				//			var summary=item.querySelector(".summary");
				//			summary.innerHTML=data.summary;
				this.append(item);
			}
		}
	this.clearAll = function() {
		while(this.container.hasChildNodes())
			this.container.removeChild(this.container.firstChild);
	}
}
/**
 * 高级列表对象
 * @param {Object} selector 选择器
 */
function AdvancedList(selector) {
	this.container = document.querySelector(selector),
		this.setItemTemplate = function(item) {
			if(typeof item == 'string') this.template = document.querySelector(item);
			else this.template = item;
		};
	this.onCreateItem = function(data, item) {};
	this.append = function(data) {
			var item = this.template.cloneNode(true);
			this.onCreateItem(data, item);
			this.container.appendChild(item);
		},
		this.multipleAppend = function(dataList) {
			for(var i in dataList) {
				var data = dataList[i];
				this.append(data);
			}
		}
	this.clearAll = function() {

		if(this.template) {
			while(this.container.childNodes.length > 0) {
				for(var i = 0; i < this.container.childNodes.length; ++i) {
					if(this.template != this.container.childNodes[i]) {
						this.container.removeChild(this.container.childNodes[i]);
					}
				}
				if(this.container.childNodes.length == 1 && this.container.childNodes[0] == this.template) {
					break;
				}
			}
			return;
		}

		while(this.container.childElementCount > 0) {
			this.container.removeChild(this.container.firstChild);
		}
	}
}
/**
 * Webview对象
 * @param {Object} url
 * @param {Object} id
 * @param {Object} style
 */
function Webview(url, id, style, extras) {
	this.url = url;
	this.id = id;
	this.style = style;
	this.extras = extras;
}
/**
 * TabView 对象
 * @param {Object} tabView 盛放标签页的容器
 * @param {Object} tabHost 标签
 */
function TabView(tabView, tabHost) {
	this.plus = false;
	this.tabs = {};
	this.container = document.querySelector(tabView);
	this.activeTab = undefined;
	this.appendTab = function(w) {
		this.tabs[w.id] = {
			url: w.url,
			initilied: false
		};
		var tab = this.createTab(w);
		if(!this.plus) this.container.appendChild(tab);
	};
	this.createTab = function(w) {
		var tab;
		if(this.plus) tab = plus.webview.create(w.url, w.id, w.style, w.extras);
		else {
			tab = this.container.firstElementChild.cloneNode();
			tab.setAttribute('tabId', w.id);
		}
		return tab;
	};
	this.getTabById = function(id) {
		if(this.plus) return plus.webview.getWebviewById(id);
		return this.container.querySelector("[tabId='" + id + "']");
	};
	this.switchTab = function(id) {
		if(this.activeTab == id) return;
		this.showTab(id);
		this.hideTab(this.activeTab);
		this.activeTab = id;
	};
	this.showTab = function(id) {
		if(!id) return;
		if(this.plus)
			plus.webview.getWebviewById(id).show();
		else {
			var tab = this.getTabById(id);
			tab.style.display = "block";
			this.initialize(id);
		}
	};
	this.hideTab = function(id) {
		if(!id) return;
		var tab;
		if(this.plus) {
			tab = plus.webview.getWebviewById(id);
			tab.evalJS('onHide()');
			tab.hide();
		} else {
			tab = this.getTabById(id);
			tab.style.display = "none";
			tab.contentWindow.onHide();
		}
	};
	var style;
	if(this.plus) {
		style = {
			top: 0,
			bottom: tabHost ? tabHost.height : 0
		}
	}
	if(tabHost) {
		var tabs = document.querySelector(tabHost).children;
		for(var i = 0; i < tabs.length; i++) {
			var id = tabs[i].id;
			var url = tabs[i].href;
			this.appendTab(new Webview(url, id, style));
		}
	}
	this.initialize = function(tabId) {
		var tab = this.getTabById(tabId);
		if(!tab) console.info(tabId + "不存在！");
		else if(!this.tabs[tabId].initilied) {
			tab.src = this.tabs[tabId].url;
			this.tabs[tabId].initilied = true;
		}
	};
}
/**
 * Modal 模态框对象
 * @param {Object} modal 模态框容器
 */
function Modal(modal) {
	this.body = document.querySelector(modal);
	this.content = this.body.querySelector(".content");
	this.show = function() {
		this.body.style.display = "initial";
		var top = document.documentElement.scrollHeight - window.innerHeight;
		if(top > 0) this.body.style.top = top + 'px';
		this.body.style.height = window.innerHeight + "px";
		this.body.style.width = window.innerWidth + "px";
	};
	this.hide = function() {
		this.body.style.display = "none";
	};
	this.onShow = function() {};
	this.onHide = function() {};
}
/**
 * 获取原始用户ID
 * @param {Object} userId
 */
function getOriginalUserId(userId) {
	var original = userId.substr(0, 8) + '-' + userId.substr(8, 4) + '-' + userId.substr(12, 4) + '-' +
		userId.substr(16, 4) + '-' + userId.substr(20);
	return original;
}
/**
 * 消息分发接口
 * @param {Object} msg
 */
function onMessageReceived(msg) {
	if(typeof msg.msgType == 'string') msg.msgType = eval(msg.msgType);
	if(window.im) {
		im.onMessageReceived(msg); //如果用户在IM.html分发给IM处理
	} else {
		msg.msgOwner = msg.msgReceiver + msg.msgSender;
		saveMessage(msg); //保存消息到数据库
	}
}
/**
 * 以文件的路径为索引，保存文件到indexedDB
 * @param {Object} file
 */
function saveFile(file, success) {
	if(window.indexedDB && file)
		createDatabase("localMessage", function(e) {
			console.error("数据库错误:" + JSON.stringify(e));
		}, function(event) {
			var reader = new FileReader();
			reader.addEventListener('load', function(e) {
				var db = this;
				var transaction = db.transaction("cachedFile", "readwrite");
				var store = transaction.objectStore("cachedFile");
				var request = store.add({
					fileUrl: file.value,
					dataUrl: e.target.result
				});
				request.onsuccess = function(e) {
					success(e);
					console.info("增加一条记录");
				};
				request.onerror = function(e) {
					console.info("增加一条记录失败！原因：" + JSON.stringify(e));
				};
			}.bind(event.currentTarget.result));
			reader.readAsDataURL(file.files[0]);
		}, onUpgradeNeeded);
}
/**
 * 根据fileUrl获取到blob对象
 * @param {Object} fileUrl
 * @param {Object} callback
 */
function readFile(fileUrl, callback) {
	if(!window.indexedDB || !fileUrl || fileUrl.indexOf('http') > -1) {
		callback(event.target.result);
		return;
	};
	createDatabase("localMessage", function(e) {
		console.error("数据库错误:" + JSON.stringify(e));
	}, function(event) {
		var db = event.currentTarget.result;
		var transaction = db.transaction("cachedFile");
		var store = transaction.objectStore("cachedFile");
		var _file = store.index('fileUrl');
		_file.get(fileUrl).onsuccess = function(event) {
			callback(event.target.result);
		};
	}, onUpgradeNeeded);
}
/**
 * 将dataUrl转换到blob
 * @param {Object} dataurl
 */
function dataURLtoBlob(dataurl) {
	if(!dataurl) return null;
	var arr = dataurl.split(','),
		mime = arr[0].match(/:(.*?);/)[1],
		bstr = atob(arr[1]),
		n = bstr.length,
		u8arr = new Uint8Array(n);
	while(n--) {
		u8arr[n] = bstr.charCodeAt(n);
	}
	return new Blob([u8arr], {
		type: mime
	});
}

function readSession(callback) {
	if(window.indexedDB)
		createDatabase("localMessage", function(e) {
			console.error("数据库错误:" + JSON.stringify(e));
		}, function(event) {
			var db = event.currentTarget.result;
			var transaction = db.transaction("session");
			var store = transaction.objectStore("session");
			var record = store.index("create");
			if('getAll' in record) {
				record.getAll().onsuccess = function(event) {
					this(event.target.result.sort(sortByTimeDesc));
				}.bind(callback);
			} else {
				record.openCursor().onsuccess = function(event) {
					var cursor = event.target.result;
					var resultSet = [];
					if(cursor) {
						resultSet.push(cursor.value);
						cursor.continue();
					} else
						this(resultSet.sort(sortByTimeDesc));
				}.bind(callback);
			}
		}, onUpgradeNeeded);
}

function onUpgradeNeeded(evt) {
	var db = evt.currentTarget.result;
	if(!db.objectStoreNames.contains('cachedFile')) {
		var store = evt.currentTarget.result.createObjectStore("cachedFile", {
			keyPath: "fileUrl"
		});
		store.createIndex('fileUrl', 'fileUrl', {
			unique: true
		});
	}
	if(!db.objectStoreNames.contains('message')) {
		var store = evt.currentTarget.result.createObjectStore("message", {
			keyPath: "msgDateCreated"
		});
		store.createIndex('owner', 'msgOwner', {
			unique: false
		});
		store.createIndex('id', 'msgId', {
			unique: true
		});
	}
	if(!db.objectStoreNames.contains('session')) {
		var store = evt.currentTarget.result.createObjectStore("session", {
			keyPath: "msgOwner"
		});
		store.createIndex('create', 'msgDateCreated', {
			unique: true
		});
	}
	if(!db.objectStoreNames.contains('consult')) {
		var store = evt.currentTarget.result.createObjectStore("consult", {
			keyPath: "msgOwner"
		});
		store.createIndex('unRead', 'unRead', {
			unique: false
		});
	}
	console.info("数据库更新成功!");
}

function onDeleteUpgradeNeeded(evt) {
	var db = evt.currentTarget.result;
	if(db.objectStoreNames.contains('consult')) {
		db.deleteObjectStore('consult');
	}
	console.info("数据库更新成功!");
}

/**
 * 保存消息到indexedDB
 * @param {Object} msg 消息数组
 */
function saveMessage(msg) {
	if(!window.indexedDB) return;
	createDatabase("localMessage", function(e) {
		console.error("数据库错误:" + JSON.stringify(e));
	}, function(event) {
		var db = event.currentTarget.result;
		var messageTransaction = db.transaction("message", "readwrite");
		var messageStore = messageTransaction.objectStore("message");
		var sessionTransaction = db.transaction("session", "readwrite");
		var sessionStore = sessionTransaction.objectStore("session");
		var msgArray = [];
		if(msg instanceof Array) msgArray = this;
		else msgArray[0] = this;
		for(var i = 0; i < msgArray.length; i++) {
			var msg = msgArray[0];
			var request = messageStore.add(msg);
			request.onsuccess = function(e) {
				console.info("增加一条记录");
			};
			request.onerror = function(e) {
				console.info("增加一条记录失败！原因：" + JSON.stringify(e));
			};
			request = sessionStore.put(msg);
			request.onsuccess = function(e) {
				console.info("保存最新聊天记录成功");
			};
			request.onerror = function(e) {
				console.info("保存最新聊天记录失败！原因：" + JSON.stringify(e));
			};
		}
	}.bind(msg), onUpgradeNeeded);
}
/**
 * 从indexedDB中读取用户当前对话的历史记录[倒序]
 * @param {Object} range 范围，数组第一个表示起始位置，第二个表示长度
 * @param {Object} callback 回调函数，参数是保存在indexedDB的JSON
 */
function readMessage(params) {
	if(!window.indexedDB || !params) return;
	var range = params.range,
		callback = params;
	if(!range) range = [0, 10]
	if(range.length < 2) range[1] = 10;
	if(localStorage.profile && window.objective) {
		var owner = eval(localStorage.profile).userId.replace(/\-/g, "");
		if(!owner) return;
		var receiver = window.objective;
		createDatabase("localMessage", function(e) {
			console.error("数据库错误:" + JSON.stringify(e));
		}, function(event) {
			var db = event.currentTarget.result;
			var transaction = db.transaction("message");
			var store = transaction.objectStore("message");
			var index = store.index('owner');
			var offset = this.range[0],
				pageSize = this.range[1];
			var messageList = [];
			index.openCursor(owner + receiver).onsuccess = function(event) {
				var cursor = event.target.result;
				if(cursor) {
					messageList.push(cursor.value);
					cursor.continue();
				} else {
					var start = messageList.length - offset - 1;
					var end = messageList.length - offset - pageSize;
					for(var i = start; i > end; i--) {
						if(i < 0) break;
						this.callback(messageList[i]);
					}
				}
			}.bind(this);
		}.bind(params), onUpgradeNeeded);
	}
}

/**
 * 容联云通讯强制离线后通知重新登陆
 * 
 */
function onRLYlogoutNote(msg) {
	mui.confirm('是否重连？', msg, ['是', '否'], function(event) {
		if(event.index == 0) {
			confirm('logout:');
			openWindowInParent('login.html');
		}
	});
}

/**
 * 从indexedDB中读取用户对话的最后聊天记录
 * @param {Object} key 索引owner
 * @param {Object} callback 回调函数，参数是保存在indexedDB的JSON
 */
function getRecentMessage(params, callback) {
	if(!window.indexedDB || !params) return;
	var key = params;
	//		callback = params;
	createDatabase("localMessage", function(e) {
		console.error("数据库错误:" + JSON.stringify(e));
	}, function(event) {
		var db = event.currentTarget.result;
		var transaction = db.transaction("message");
		var store = transaction.objectStore("message");
		var index = store.index('owner');
		var messageList = [];

		index.openCursor(key).onsuccess = function(event) {
			var cursor = event.target.result;
			if(cursor) {
				messageList.push(cursor.value);
				cursor.continue();
			} else {
				var consultTransaction = db.transaction("consult", "readwrite");
				var consultStore = consultTransaction.objectStore("consult");
				var msg = messageList[messageList.length - 1];
				if(msg) {
					var getRequest = consultStore.get(msg.msgOwner);
					getRequest.onsuccess = function(e) {
						var con = e.target.result;
						if(con) {
							console.info("未读数量：" + con.unRead);
							msg.unRead = con.unRead;
						} else {
							console.info("找不到未读数量");
						}
						callback(messageList[messageList.length - 1]);
					};
				} else {
					callback(messageList[messageList.length - 1]);
				};

			}
		}.bind(this);
	}.bind(params), onUpgradeNeeded);
}

/**
 * 从indexedDB中读取保存用户咨询列表
 * @param {Object} key 索引owner 
 * @param {Object} callback 回调函数，参数是保存在indexedDB的JSON
 */
function saveConsult(consult) {
	if(!window.indexedDB) return;
	createDatabase("localMessage", function(e) {
		console.error("数据库错误:" + JSON.stringify(e));
	}, function(event) {
		var db = event.currentTarget.result;
		var consultTransaction = db.transaction("consult", "readwrite");
		var consultStore = consultTransaction.objectStore("consult");
		//		consultStore.clear();
		//		var msgArray = [];
		//		if(consults instanceof Array) msgArray = this;
		//		else msgArray[0] = this;
		//		for(var i = 0; i < msgArray.length; i++) {
		//			var msg = msgArray[i];
		var getRequest = consultStore.get(consult.msgOwner);
		getRequest.onsuccess = function(e) {
			var con = e.target.result;
			if(con) {
				if(!con.id) {
					con.id = consult.id;
					con.userId = consult.userId;
					con.type = consult.type;
					consultStore.put(con);
					console.info("修改消息ID");
					//              		mui.toast(consult.type);            		
				}
				console.info("已存在该会话");
				//              	mui.toast("已有ID");
			} else {
				if(consult) {
					var request = consultStore.add(consult);
					request.onsuccess = function(e) {
						console.info("增加一条会话记录");
					};
					request.onerror = function(e) {
						console.info("增加一条会话记录失败！原因：" + JSON.stringify(e));
					};
				}
			}
		};
		getRequest.onerror = function(e) {
			console.info("查找会话记录失败！原因：" + JSON.stringify(e));
		};

	}.bind(consult), onUpgradeNeeded);
}

/**
 * 从indexedDB中更新用户咨询列表未读数量
 * @param {Object} key 索引owner 
 * @param {Object} callback 回调函数
 */
function saveUnRead(msg, callback) {
	if(!window.indexedDB) return;
	createDatabase("localMessage", function(e) {
		console.error("数据库错误:" + JSON.stringify(e));
	}, function(event) {
		var db = event.currentTarget.result;
		var consultTransaction = db.transaction("consult", "readwrite");
		var consultStore = consultTransaction.objectStore("consult");
		var request = consultStore.get(msg.msgOwner);
		request.onsuccess = function(e) {
			var con = e.target.result;
			if(con) {
				//                  mui.toast("找到未读信息:"+con.type);
				con.unRead = con.unRead + 1;
				var modRequest = consultStore.put(con);
				modRequest.onsuccess = function(e) {
					//              		mui.toast("修改未读数量成功:"+con.type);
					console.info("修改未读数量成功");
					callback();
				}
				modRequest.onerror = function(e) {
					//              		mui.toast("修改未读数量失败！原因：" + JSON.stringify(e));
					console.info("修改未读数量失败！原因：" + JSON.stringify(e));
					callback();
				};
			} else {
				var newMsg = {
					msgOwner: msg.msgReceiver + msg.msgSender,
					type: 2, //未知咨询类型
					unRead: 1
				};
				//						mui.toast("增加未读信息")
				var request = consultStore.add(newMsg);
				request.onsuccess = function(e) {
					//						mui.toast("增加一条会话记录");
					console.info("增加一条会话记录");
					callback();
				};
				request.onerror = function(e) {
					//						mui.toast("增加一条会话记录失败！原因：" + JSON.stringify(e));
					console.info("增加一条会话记录失败！原因：" + JSON.stringify(e));
					callback();
				};
			}
		};
		request.onerror = function(e) {
			console.info("获取未读记录失败！原因：" + JSON.stringify(e));
		};
	}.bind(msg), onUpgradeNeeded);
}

/**
 * 从indexedDB中更新用户咨询列表未读数量为0
 * @param {Object} dbName 数据库名 
 * @param {Object} key 主键owner 
 * @param {Object} storeName 表名
 * @param {Object}  callback 回调方法
 */
function updateUnRead(dbName, storeName, key, callback) {
	if(!window.indexedDB) return;
	createDatabase(dbName, function(e) {
		console.error("数据库错误:" + JSON.stringify(e));
	}, function(event) {
		var db = event.currentTarget.result;
		var consultTransaction = db.transaction(storeName, "readwrite");
		var consultStore = consultTransaction.objectStore(storeName);
		var request = consultStore.get(key);
		request.onsuccess = function(e) {
			var con = e.target.result;
			if(con) {
				//                  mui.toast("找到未读信息:"+con.type);
				con.unRead = 0;
				var modRequest = consultStore.put(con);
				modRequest.onsuccess = function(e) {
					//              		mui.toast("修改未读数量成功:"+con.type);
					console.info("修改未读数量成功");
					callback();
				}
				modRequest.onerror = function(e) {
					//              		mui.toast("修改未读数量失败！原因：" + JSON.stringify(e));
					console.info("修改未读数量失败！原因：" + JSON.stringify(e));
					callback();
				};
			} else {
				callback();
			}
		};
		request.onerror = function(e) {
			console.info("获取未读记录失败！原因：" + JSON.stringify(e));
			callback();
		};
	}.bind(key), onUpgradeNeeded);
}

/**
 * 从indexedDB中读取保存用户咨询列表
 * @param {Object} dbName 数据库名 
 * @param {Object} key 主键owner 
 * @param {Object} storeName 表名
 * @param {Object}  callback 回调方法
 */
function deleteDataByKey(dbName, storeName, key, callback) {
	if(!window.indexedDB) return;
	createDatabase(dbName, function(e) {
		console.error("数据库错误:" + JSON.stringify(e));
	}, function(event) {
		var db = event.currentTarget.result;
		var transaction = db.transaction(storeName, 'readwrite');
		var store = transaction.objectStore(storeName);
		var request = store.delete(key);
		request.onsuccess = function(e) {
			console.info("删除记录成功：" + key);
			callback();
		};
		request.onerror = function(e) {
			console.info(key + "：删除记录失败！原因：" + JSON.stringify(e));
			callback();
		};
	}.bind(key), onUpgradeNeeded);
}

/**
 * 从indexedDB中获取是否有未度信息
 * @param {Object} key 索引owner
 * @param {Object} callback 回调函数，参数是保存在indexedDB的JSON
 */
function hasUnRead(callback) {
	if(!window.indexedDB) return;
	createDatabase("localMessage", function(e) {
		console.error("数据库错误:" + JSON.stringify(e));
	}, function(event) {
		var db = event.currentTarget.result;
		var transaction = db.transaction("consult");
		var store = transaction.objectStore("consult");
		var index = store.index('unRead');
		var messageList = [];
		index.openCursor(IDBKeyRange.bound(1, 100, false, false)).onsuccess = function(event) {
			var cursor = event.target.result;
			if(cursor) {
				messageList.push(cursor.value.type);
				cursor.continue();
			} else {
				if(messageList.length > 0) {
					var result = 0;
					if((messageList.indexOf(0) != -1 && messageList.indexOf(1) != -1) || messageList.indexOf(2) != -1) {
						result = 3; //咨询回复  我的咨询  有新消息
					} else if(messageList.indexOf(0) != -1) {
						result = 1; //我的咨询   有新消息
					} else if(messageList.indexOf(1) != -1) {
						result = 2; // 咨询回复 有新消息
					}
					//						mui.toast(messageList + " result:"+result);
					callback(result);
				} else {
					callback(0);
				}
			}
		}
	}.bind(callback), onUpgradeNeeded);

}

/**
 * 删除表
 * @param {Object} dbName 数据库名
 * @param {Object} storeName 表名
 * @param {Object} callback 回调函数

 */
function clearObjectStore(dbName, storeName, callback) {
	if(!window.indexedDB) return;
	createDatabase(dbName, function(e) {
		console.error("数据库错误:" + JSON.stringify(e));
	}, function(event) {
		var db = event.currentTarget.result;
		var transaction = db.transaction(storeName, "readwrite");
		var store = transaction.objectStore(storeName);
		var request = store.clear();
		request.onsuccess = function(e) {
			console.info("删除记录成功：");
			callback();
		};
		request.onerror = function(e) {
			console.info(key + "：删除记录失败！原因：" + JSON.stringify(e));
			callback();
		};
	}, onUpgradeNeeded);
}

/**
 * 创建数据库
 * @param {Object} dbName
 * @param {Object} error
 * @param {Object} success
 * @param {Object} upgrade
 */
function createDatabase(dbName, error, success, upgrade) {
	var openRequest = indexedDB.open(dbName, 8);
	openRequest.onerror = error;
	openRequest.onsuccess = success;
	openRequest.onupgradeneeded = upgrade;
}
/**
 * 删除数据库
 * @param {Object} dbName
 * @param {Object} error
 * @param {Object} success
 */
function deleteDatabase(dbName, error, success) {
	var deleteDbRequest = indexedDB.deleteDatabase(dbName);
	deleteDbRequest.onsuccess = success.bind(deleteDbRequest);
	deleteDbRequest.onerror = error.bind(deleteDbRequest);
}
//--------------以下为MD5加密算法-------------------//
/*
 * A JavaScript implementation of the RSA Data Security, Inc. MD5 Message
 * Digest Algorithm, as defined in RFC 1321.
 * Version 2.1 Copyright (C) Paul Johnston 1999 - 2002.
 * Other contributors: Greg Holt, Andrew Kepert, Ydnar, Lostinet
 * Distributed under the BSD License
 * See http://pajhome.org.uk/crypt/md5 for more info.
 */

/*
 * Configurable variables. You may need to tweak these to be compatible with
 * the server-side, but the defaults work in most cases.
 */
var hexcase = 0; /* hex output format. 0 - lowercase; 1 - uppercase        */
var b64pad = ""; /* base-64 pad character. "=" for strict RFC compliance   */
var chrsz = 8; /* bits per input character. 8 - ASCII; 16 - Unicode      */

/*
 * These are the functions you'll usually want to call
 * They take string arguments and return either hex or base-64 encoded strings
 */
function my_hex_md5(s) {
	return binl2hex(core_md5(str2binl(s), s.length * chrsz));
}

function b64_md5(s) {
	return binl2b64(core_md5(str2binl(s), s.length * chrsz));
}

function str_md5(s) {
	return binl2str(core_md5(str2binl(s), s.length * chrsz));
}

function hex_hmac_md5(key, data) {
	return binl2hex(core_hmac_md5(key, data));
}

function b64_hmac_md5(key, data) {
	return binl2b64(core_hmac_md5(key, data));
}

function str_hmac_md5(key, data) {
	return binl2str(core_hmac_md5(key, data));
}

/*
 * Perform a simple self-test to see if the VM is working
 */
function md5_vm_test() {
	return hex_md5("abc") == "900150983cd24fb0d6963f7d28e17f72";
}

/*
 * Calculate the MD5 of an array of little-endian words, and a bit length
 */
function core_md5(x, len) {
	/* append padding */
	x[len >> 5] |= 0x80 << ((len) % 32);
	x[(((len + 64) >>> 9) << 4) + 14] = len;

	var a = 1732584193;
	var b = -271733879;
	var c = -1732584194;
	var d = 271733878;

	for(var i = 0; i < x.length; i += 16) {
		var olda = a;
		var oldb = b;
		var oldc = c;
		var oldd = d;

		a = md5_ff(a, b, c, d, x[i + 0], 7, -680876936);
		d = md5_ff(d, a, b, c, x[i + 1], 12, -389564586);
		c = md5_ff(c, d, a, b, x[i + 2], 17, 606105819);
		b = md5_ff(b, c, d, a, x[i + 3], 22, -1044525330);
		a = md5_ff(a, b, c, d, x[i + 4], 7, -176418897);
		d = md5_ff(d, a, b, c, x[i + 5], 12, 1200080426);
		c = md5_ff(c, d, a, b, x[i + 6], 17, -1473231341);
		b = md5_ff(b, c, d, a, x[i + 7], 22, -45705983);
		a = md5_ff(a, b, c, d, x[i + 8], 7, 1770035416);
		d = md5_ff(d, a, b, c, x[i + 9], 12, -1958414417);
		c = md5_ff(c, d, a, b, x[i + 10], 17, -42063);
		b = md5_ff(b, c, d, a, x[i + 11], 22, -1990404162);
		a = md5_ff(a, b, c, d, x[i + 12], 7, 1804603682);
		d = md5_ff(d, a, b, c, x[i + 13], 12, -40341101);
		c = md5_ff(c, d, a, b, x[i + 14], 17, -1502002290);
		b = md5_ff(b, c, d, a, x[i + 15], 22, 1236535329);

		a = md5_gg(a, b, c, d, x[i + 1], 5, -165796510);
		d = md5_gg(d, a, b, c, x[i + 6], 9, -1069501632);
		c = md5_gg(c, d, a, b, x[i + 11], 14, 643717713);
		b = md5_gg(b, c, d, a, x[i + 0], 20, -373897302);
		a = md5_gg(a, b, c, d, x[i + 5], 5, -701558691);
		d = md5_gg(d, a, b, c, x[i + 10], 9, 38016083);
		c = md5_gg(c, d, a, b, x[i + 15], 14, -660478335);
		b = md5_gg(b, c, d, a, x[i + 4], 20, -405537848);
		a = md5_gg(a, b, c, d, x[i + 9], 5, 568446438);
		d = md5_gg(d, a, b, c, x[i + 14], 9, -1019803690);
		c = md5_gg(c, d, a, b, x[i + 3], 14, -187363961);
		b = md5_gg(b, c, d, a, x[i + 8], 20, 1163531501);
		a = md5_gg(a, b, c, d, x[i + 13], 5, -1444681467);
		d = md5_gg(d, a, b, c, x[i + 2], 9, -51403784);
		c = md5_gg(c, d, a, b, x[i + 7], 14, 1735328473);
		b = md5_gg(b, c, d, a, x[i + 12], 20, -1926607734);

		a = md5_hh(a, b, c, d, x[i + 5], 4, -378558);
		d = md5_hh(d, a, b, c, x[i + 8], 11, -2022574463);
		c = md5_hh(c, d, a, b, x[i + 11], 16, 1839030562);
		b = md5_hh(b, c, d, a, x[i + 14], 23, -35309556);
		a = md5_hh(a, b, c, d, x[i + 1], 4, -1530992060);
		d = md5_hh(d, a, b, c, x[i + 4], 11, 1272893353);
		c = md5_hh(c, d, a, b, x[i + 7], 16, -155497632);
		b = md5_hh(b, c, d, a, x[i + 10], 23, -1094730640);
		a = md5_hh(a, b, c, d, x[i + 13], 4, 681279174);
		d = md5_hh(d, a, b, c, x[i + 0], 11, -358537222);
		c = md5_hh(c, d, a, b, x[i + 3], 16, -722521979);
		b = md5_hh(b, c, d, a, x[i + 6], 23, 76029189);
		a = md5_hh(a, b, c, d, x[i + 9], 4, -640364487);
		d = md5_hh(d, a, b, c, x[i + 12], 11, -421815835);
		c = md5_hh(c, d, a, b, x[i + 15], 16, 530742520);
		b = md5_hh(b, c, d, a, x[i + 2], 23, -995338651);

		a = md5_ii(a, b, c, d, x[i + 0], 6, -198630844);
		d = md5_ii(d, a, b, c, x[i + 7], 10, 1126891415);
		c = md5_ii(c, d, a, b, x[i + 14], 15, -1416354905);
		b = md5_ii(b, c, d, a, x[i + 5], 21, -57434055);
		a = md5_ii(a, b, c, d, x[i + 12], 6, 1700485571);
		d = md5_ii(d, a, b, c, x[i + 3], 10, -1894986606);
		c = md5_ii(c, d, a, b, x[i + 10], 15, -1051523);
		b = md5_ii(b, c, d, a, x[i + 1], 21, -2054922799);
		a = md5_ii(a, b, c, d, x[i + 8], 6, 1873313359);
		d = md5_ii(d, a, b, c, x[i + 15], 10, -30611744);
		c = md5_ii(c, d, a, b, x[i + 6], 15, -1560198380);
		b = md5_ii(b, c, d, a, x[i + 13], 21, 1309151649);
		a = md5_ii(a, b, c, d, x[i + 4], 6, -145523070);
		d = md5_ii(d, a, b, c, x[i + 11], 10, -1120210379);
		c = md5_ii(c, d, a, b, x[i + 2], 15, 718787259);
		b = md5_ii(b, c, d, a, x[i + 9], 21, -343485551);

		a = safe_add(a, olda);
		b = safe_add(b, oldb);
		c = safe_add(c, oldc);
		d = safe_add(d, oldd);
	}
	return Array(a, b, c, d);

}

/*
 * These functions implement the four basic operations the algorithm uses.
 */
function md5_cmn(q, a, b, x, s, t) {
	return safe_add(bit_rol(safe_add(safe_add(a, q), safe_add(x, t)), s), b);
}

function md5_ff(a, b, c, d, x, s, t) {
	return md5_cmn((b & c) | ((~b) & d), a, b, x, s, t);
}

function md5_gg(a, b, c, d, x, s, t) {
	return md5_cmn((b & d) | (c & (~d)), a, b, x, s, t);
}

function md5_hh(a, b, c, d, x, s, t) {
	return md5_cmn(b ^ c ^ d, a, b, x, s, t);
}

function md5_ii(a, b, c, d, x, s, t) {
	return md5_cmn(c ^ (b | (~d)), a, b, x, s, t);
}

/*
 * Calculate the HMAC-MD5, of a key and some data
 */
function core_hmac_md5(key, data) {
	var bkey = str2binl(key);
	if(bkey.length > 16) bkey = core_md5(bkey, key.length * chrsz);

	var ipad = Array(16),
		opad = Array(16);
	for(var i = 0; i < 16; i++) {
		ipad[i] = bkey[i] ^ 0x36363636;
		opad[i] = bkey[i] ^ 0x5C5C5C5C;
	}

	var hash = core_md5(ipad.concat(str2binl(data)), 512 + data.length * chrsz);
	return core_md5(opad.concat(hash), 512 + 128);
}

/*
 * Add integers, wrapping at 2^32. This uses 16-bit operations internally
 * to work around bugs in some JS interpreters.
 */
function safe_add(x, y) {
	var lsw = (x & 0xFFFF) + (y & 0xFFFF);
	var msw = (x >> 16) + (y >> 16) + (lsw >> 16);
	return(msw << 16) | (lsw & 0xFFFF);
}

/*
 * Bitwise rotate a 32-bit number to the left.
 */
function bit_rol(num, cnt) {
	return(num << cnt) | (num >>> (32 - cnt));
}

/*
 * Convert a string to an array of little-endian words
 * If chrsz is ASCII, characters >255 have their hi-byte silently ignored.
 */
function str2binl(str) {
	var bin = Array();
	var mask = (1 << chrsz) - 1;
	for(var i = 0; i < str.length * chrsz; i += chrsz)
		bin[i >> 5] |= (str.charCodeAt(i / chrsz) & mask) << (i % 32);
	return bin;
}

/*
 * Convert an array of little-endian words to a string
 */
function binl2str(bin) {
	var str = "";
	var mask = (1 << chrsz) - 1;
	for(var i = 0; i < bin.length * 32; i += chrsz)
		str += String.fromCharCode((bin[i >> 5] >>> (i % 32)) & mask);
	return str;
}

/*
 * Convert an array of little-endian words to a hex string.
 */
function binl2hex(binarray) {
	var hex_tab = hexcase ? "0123456789ABCDEF" : "0123456789abcdef";
	var str = "";
	for(var i = 0; i < binarray.length * 4; i++) {
		str += hex_tab.charAt((binarray[i >> 2] >> ((i % 4) * 8 + 4)) & 0xF) +
			hex_tab.charAt((binarray[i >> 2] >> ((i % 4) * 8)) & 0xF);
	}
	return str;
}

/*
 * Convert an array of little-endian words to a base-64 string
 */
function binl2b64(binarray) {
	var tab = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
	var str = "";
	for(var i = 0; i < binarray.length * 4; i += 3) {
		var triplet = (((binarray[i >> 2] >> 8 * (i % 4)) & 0xFF) << 16) |
			(((binarray[i + 1 >> 2] >> 8 * ((i + 1) % 4)) & 0xFF) << 8) |
			((binarray[i + 2 >> 2] >> 8 * ((i + 2) % 4)) & 0xFF);
		for(var j = 0; j < 4; j++) {
			if(i * 8 + j * 6 > binarray.length * 32) str += b64pad;
			else str += tab.charAt((triplet >> 6 * (3 - j)) & 0x3F);
		}
	}
	return str;
}

//去除HTML样式，保留文本格式
function clearHTML(content) {
	content = content.replace(/<a[^>]*/ig, '');
	content = content.replace(/<\/a>/ig, '');
	//	content=content.replace(/<div[^>]*>/ig,'');
	//	content=content.replace(/<\/div>/ig,'');
	content = content.replace(/<!--[^>]*-->/ig, '');
	content = content.replace(/style=.+?['|"]/ig, '');
	content = content.replace(/class=.+?['|"]/ig, '');
	content = content.replace(/id=.+?['|"]/ig, '');
	content = content.replace(/lang=.+?['|"]/ig, '');
	content = content.replace(/width=.+?['|"]/ig, '');
	content = content.replace(/height=.+?['|"]/ig, '');
	content = content.replace(/border=.+?['|"]/ig, '');
	content = content.replace(/face=.+?['|"]/ig, '');
	content = content.replace(/face=.+?['|"]/, '');

	return content;
}

//金额控制
function validate(amount, len1, len2) {
	var index = amount.value.indexOf('.');
	var re = /^\d+(?=\.{0,1}\d+$|$)/
	if(!re.test(amount.value)) {
		mui.toast("请输入正确的金额");
		amount.value = 0;
		amount.focus();
		return;
	}
	if((amount.value.length - index - 1) > len2) {
		mui.toast("金额小数位太多！");
		amount.value = 0;
		return;
	}
}

function mustDigit() {
	if(event.keyCode == 46)
		return true;
	if(event.keyCode < 48 || event.keyCode > 57) {
		event.returnValue = false;
	}
}

//分享功能
function share(title, introduction) {
	var base = new BASE();
	if(base.getRUMTIME() == 1) {
		var notiClass = plus.ios.importClass("NSNotificationCenter");
		notiClass.defaultCenter().postNotificationNameobject("shareSDK", title + ':::' + introduction + ':::' + window.location.href);
	} else {
		if(base.getRUMTIME() == 2) {
			confirm("shareUrl:");
		} else {
			if(/MicroMessenger/i.test(navigator.userAgent)) {
				if(typeof(MUIPopover) != "undefined") {
					MUIPopover.wxShareGuideTip({
						text: '点击此处分享',
						color: 'white',
						fontSize: 28,
						backgroundAlpha: 1,
						imgs: [{
							src: 'images/xxx.png',
							x: 'right',
							y: 20
						}, {
							src: 'images/wx_share_tip.png',
							x: 'center',
							y: 'center',
							width: 200,
							yOffset: 80
						}]
					});
				} else {
					mui.toast('缺少popup.js/popup.css引入')
				}
			} else {
				mui.toast("该浏览器不支持分享功能");
			}
		}
	}
}



function setCookie(name, value, timeout) {
	var d = new Date();
	d.setDate(d.getDate() + timeout);
	document.cookie = name + '=' + value + ';expires=' + d;
}

function getCookie(name) {
	var arr = document.cookie.split('; ');
	for(var i = 0; i < arr.length; i++) {
		var arr2 = arr[i].split('='); //['abc','cba']
		if(arr2[0] == name) {
			return arr2[1];
		}
	}
	return '';
}

function delCookie(name) {
	var exp = new Date();
	exp.setTime(exp.getTime() - 1);
	var cval = getCookie(name);
	if(cval != null)
		document.cookie = name + "=" + cval + ";expires=" + exp.toGMTString();
}


function autoLogin(){
	var auto = getCookie("isAutoLogin");
	var name = getCookie("name");
	var pwd = getCookie("pwd");
	
	if(auto){
		localStorage.removeItem("profile");
		var base = new BASE();
		var url = base.getBASEURL() + "appapi/1/user/login.do";
		var data = {
					userName: name,
					pwd: pwd,
					autoLogin: true
				};
				mui.ajax(url, {
					type: 'POST',
					data: data,
					success: function(response) {
						console.log(response.data);
						if(response.errorCode != 0) {
							mui.toast(response.errorMsg);
							return;
						}
						window.localStorage.profile = "(" + JSON.stringify(response.data) + ")";
						window.localStorage.account = name;
						
						setCookie("name", name, 3);
						setCookie("pwd", pwd, 3);
						setCookie("isAutoLogin", true, 3); 
						
						if(base.getRUMTIME() == 2) {
							confirm('initialize:' + response.data.userId);
						}
						if(base.getRUMTIME() == 1) {
							sendUserName();
						}
						console.info("自动登陆成功！");
					},
					error: function(response) {
						console.info("自动登陆失败！");
					}
				});
	}
}
