/*
 * 浏览器判断 begin
 */

/**
 * voiceBtn )))
 * plusBtn +
 */
var ButtonMgr = {

	ICON_IMAGE_CLS: 'icon-image',
	ICON_CAMERA_CLS: 'icon-camera',

	setVoiceBtnVisible: function(visible) {
		document.getElementById('recordVoice').style.visibility = visible ? 'visible' : 'hidden';
	},

	setPlusBtnVisible: function(visible) {
		document.getElementById('more').style.visibility = visible ? 'visible' : 'hidden';
	},

	hidePlusBtn: function() {
		document.getElementById('more').style.display = 'none';
	},

	showPlusBtn: function() {
		document.getElementById('more').style.display = 'inline-block';
	},

	hideVoiceBtn: function() {
		document.getElementById('recordVoice').style.display = 'none';
	},

	showVoiceBtn: function() {
		document.getElementById('recordVoice').style.display = 'inline-block';
	},

	hideSend: function() {
		document.getElementById('send').style.display = 'none';
	},

	showSend: function() {
		var send = document.getElementById('send');
		send.style.display = 'inline-block';
		var more = document.getElementById('more');
		send.style.left = more.offsetLeft + 'px';
		send.style.right = 'initial';
	},

	hideCamera: function() {
		document.querySelector("a[href='#camera']").style.display = 'none';
	},

	hideVideo: function() {
		document.querySelector("a[href='#video']").style.display = 'none';
	},

	hideVoiceTalk: function() {
		document.getElementById('voiceTalk').style.display = 'none'
	},

	showVoiceTalk: function() {
		document.getElementById('voiceTalk').style.display = 'inline-block';
	},

	showVoiceTalk: function() {
		document.getElementById('voiceTalk').style.display = 'inline-block';
	},

	hideVideoTalk: function() {
		document.getElementById('videoTalk').style.display = 'none'
	},

	replacePlusBtn: function(iconCls) {
		var plusBtn = document.getElementById('more');
		plusBtn.classList.remove('icon-plus');
		plusBtn.classList.add(iconCls);

		switch(iconCls) {
			case this.ICON_CAMERA_CLS:
			case this.ICON_IMAGE_CLS:
				{
					plusBtn.onclick = function() {
						document.getElementById('image').click();
					}
				}
				break;
		}
	},

	replaceVoiceBtn: function(iconCls) {
		var recordVoice = document.getElementById('recordVoice');
		recordVoice.classList.remove('icon-voice');
		recordVoice.classList.add(iconCls);

		switch(iconCls) {
			case this.ICON_CAMERA_CLS:
			case this.ICON_IMAGE_CLS:
				{
					recordVoice.onclick = function() {
						document.getElementById('image').click();
					}
				}
				break;
		}
	}
};

var isWeiXinForIOS;
var isWeiXinForAndroid;
var isWeiXin;
var isSafariForIOS;
var isTestForWindows;
var isSafariForWindows;
var isWindows;
var isEmbeddedBack; //是否拦截返回键逻辑
var isDownloadNotSupported;
var base = new BASE();

var modal = null; //MUIPopupover

isWeiXin = /micromessenger/i.test(navigator.userAgent);
isWeiXinForIOS = /iphone|ipad/i.test(navigator.userAgent) && isWeiXin;
isWeiXinForAndroid = /android/i.test(navigator.userAgent) && isWeiXin;
isSafariForIOS = navigator.userAgent.toLowerCase().indexOf('chrome') < 0 &&
	navigator.userAgent.toLowerCase().indexOf('safari') >= 0 &&
	(navigator.platform == 'iPhone' || navigator.platform == 'iPad');
isTestForWindows = (/iphone|ipad|android/i.test(navigator.userAgent)) && navigator.platform == "Win32" && navigator.vendor == "Google Inc.";
isSafariForWindows = /AppleWebKit/i.test(navigator.userAgent) && navigator.vendor == "Apple Computer, Inc." && navigator.platform == "Win32";
isWindows = /windows nt/i.test(navigator.userAgent);
isEmbeddedBack = isWeiXinForAndroid | (isTestForWindows && isWindows);

//PC Test
//isEmbeddedBack = true;

if(isWeiXinForIOS | base.getRUMTIME() == 1) {
	ButtonMgr.setVoiceBtnVisible(false);
}
if(isWeiXin | isTestForWindows | base.getRUMTIME() == 1) {
	ButtonMgr.hideCamera();
	ButtonMgr.hideVideo();
	ButtonMgr.replacePlusBtn(ButtonMgr.ICON_IMAGE_CLS);
}

/*
 * 浏览器判断 end
 */

mui.init();
var base = new BASE();
var modal = new Modal('#waiting');
var isFirstMsg = 1; //第一句聊天
var doctorId; //医师ID
var consultType;
var profile = localStorage.profile;

isDownloadNotSupported = isWeiXin | base.getRUMTIME() == 1 | isSafariForIOS;

setInputBarEnabled(false);

/*
if(sessionStorage.getItem('backToAdvice')) {
	if(sessionStorage.getItem('backToAdvice') == 'mine_MyAdvice.html') {
		sessionStorage.setItem('backToAdvice', 'discard');
		mui.back();
	} else {
		sessionStorage.removeItem('backToAdvice');
	}
}
*/

/*2016 - 09 -30
 * 初始化修改未用户ID
 */
//			var user=eval(localStorage.profile).userName;
if(!localStorage.profile) goBack('请先登录再进行使用');
var user = eval(localStorage.profile).userId.replace(/\-/g, "");
document.querySelector("#template>li:last-child").querySelector("a>img").src = eval(localStorage.profile).userFace;
if(base.getRUMTIME() != 2) {
	initialize(user); //非安卓版初始化
	hideCallButton();
}

var im = new IM(user); //获取通讯对象

//window.onload = function() {
//	window.onbeforeunload = function(e) {
//		if(!window.videoAvailable) return "退出后您将不能收到即时消息！请下载APP享受完整体验！";
//	};
//};

emoji('#emoji');
mui('#pane').on('tap', 'a', function() {
	var href = this.getAttribute('href');
	if(href) document.querySelector(href).click();
	else {
		if(this.id == "videoTalk") {
			hideAll();
			if(window.videoAvailable) confirm("startVideoTalk:" + user + ":" + objective);
			else mui.toast("Web端暂不支持视频通话！");
		} else if(this.id == "voiceTalk") {
			hideAll();
			if(window.videoAvailable) confirm("startVoiceTalk:" + user + ":" + objective);
			else mui.toast("Web端暂不支持语音通话！");
		}
	}

});
var template = document.getElementById("template");
var msgList = new MessageList("#msgList");
msgList.setSendTemplate(template.lastElementChild);
msgList.setReceivedTemplate(template.firstElementChild);

if(base.getRUMTIME() == 2) { //安卓版设置聊天对象
	setObjective();
	confirm('getUserState:');
	if(profile) {
		profile = eval(profile);
		im.updateNickname(profile.realName);
	}

	//	window.addEventListener('popstate', function(e) {
	//		if(localStorage.isInStack) {
	//			document.getElementById(localStorage.isInStack).style.display = 'none';
	//			localStorage.removeItem("isInStack");
	//			resize();
	//		}
	//		if(localStorage.modal) {
	//			var modal = localStorage.modal;
	//			localStorage.removeItem('modal');
	//			document.querySelector('.' + modal + '.modal').click();
	//		}
	//	});
	//	var args = new GetRequest();
	//	if(args.consultId) {
	//		window.consultId = args.consultId;
	//		uploadText();
	//		setTimeout(uploadText, 30000);
	//	}

} else {
	im.login(); //网页
}

im.onMessageReceived = function(obj) {
	//	if(window.objective == obj.msgSender || window.objective == obj.msgReceiver)
	//		msgList.appendItem(msgList.createMessage(obj));
	//	obj.msgOwner = window.user + window.objective;
	//	saveMessage(obj);
	//	saveUnRead(obj, msgRefresh);

	obj.msgOwner = window.user + window.objective;
	if(window.objective == obj.msgSender || window.objective == obj.msgReceiver) {
		msgList.appendItem(msgList.createMessage(obj));
	} else {
		saveUnRead(obj, msgRefresh);
	}
	saveMessage(obj);
};
im.onNoticeReceive = function(obj) {
	if(obj.groupId == window.objective) console.info(obj.member + "已加入群组");
};
im.onLoginSucceed = function() {
	console.info('登录成功');
	setObjective();
	var profile = localStorage.profile;
	if(!profile) {
		return;
	}
	profile = eval(profile);
	im.updateNickname(profile.realName);
};

function hideCallButton() {
	ButtonMgr.setVoiceBtnVisible(false);
}

function setButton(consultId, callback) {
	var url = base.getBASEURL() + "/appapi/1/consult/user?consultId=" + consultId;
	var isConsult = 0;
	mui.ajax(url, {
		success: function(response) {
			modal.hide();
			if(response.success) {
				//				console.log(response.obj);
				window.consultType = response.obj.consultType;
				var consultUserId = response.obj.consultUserId; //被咨询用户ID
				var profile = eval(localStorage.profile);
				if(consultUserId == profile.userId) // 是被咨询者
				{
					var btnPay = document.getElementById('pay');
					btnPay.style.display = 'none';
					//					btnPay.parentNode.removeChild(btnPay);
					var btnCloseCon = document.getElementById('live');
					btnCloseCon.style.display = 'none';
					//					btnCloseCon.parentNode.removeChild(btnCloseCon);
					isConsult = 0;
				} else {
					isConsult = 1;
				}
				callback(isConsult);
			} else {
				mui.toast("获取咨询人失败" + response.msg);
			}
		},
		error: function(response) {
			modal.hide();
			mui.toast('获取不到对方的资料！请检查您的网络是否正常！');
		}
	});
}

function msgRefresh(id) {
	console.info('msgRefresh');
}

function setInputBarEnabled(enabled) {
	var bar = document.getElementById('bottom-bar');
	if(enabled)
		bar.classList.remove('disabled');
	else
		bar.classList.add('disabled');
}

function textInput(text) {
	if(text.value) {
		ButtonMgr.showSend();
		ButtonMgr.setPlusBtnVisible(false);
	} else {
		text.style.height = 'auto';
		ButtonMgr.hideSend();
		ButtonMgr.setPlusBtnVisible(true);
	}
	if(text.scrollHeight < 120)
		text.style.height = text.scrollHeight + 'px';
}

function setObjective() {
	var hash = location.hash;
	var live = document.getElementById('live');
	var pay = document.getElementById('pay');
	if(hash) {

		document.getElementById('online').style.display = 'none';

		var questionMark = hash.indexOf('?');
		if(questionMark >= 0) hash = hash.substr(1, questionMark - 1);
		else hash = hash.substr(1);
		window.objective = hash.replace(/\-/g, "");
		if(base.getRUMTIME() == '2') history.replaceState({}, '咨询页面', '#' + window.objective); //APP
		modal.content.querySelector('p').innerText = '正在获取对方资料';
		modal.show();
		var args = new GetRequest();
		if(args.consultId) {
			window.consultId = args.consultId;
			setButton(args.consultId, function(isConsult) {
				window.isConsult = isConsult;
				//				alert(window.consultType);
				if(window.consultType != 3) {
					pay.style.display = 'none';
				}
				uploadText();
				setTimeout(uploadText, 30000);
			})
		}
		//聊天对方什么终端在线
		im.getUserState(window.objective, function(result) {
			if(result.state == 1 && result.device != 20 && result.device != 21) {
				ButtonMgr.setVoiceBtnVisible(true);
			} else {
				ButtonMgr.setVoiceBtnVisible(false);
			}

			var onlineState = document.querySelector('#title .online-state');
			var stateStrings = [];
			if(onlineState) {
				onlineState.classList.add('show');
				if(result.state == 2) {
					onlineState.classList.add('outline');
					stateStrings.push('离线');
				} else {
					if(result.state == 1) {
						onlineState.classList.add('online');
						switch(result.device) {
							case 1:
								{
									stateStrings.push('安卓');
								}
								break;
							case 2:
								{
									stateStrings.push('iPhone');
								}
								break;
							case 10:
								{
									stateStrings.push('iPad');
								}
								break;
							case 11:
								{
									stateStrings.push('安卓平板');
								}
								break;
							case 20:
								{
									stateStrings.push('电脑');
								}
								break;
							case 21:
								{
									stateStrings.push('微信/H5');
								}
						}
					}
				}

				onlineState.innerText = stateStrings.join('');
			}
		});

		loadProfile(hash, function(data) {
			document.querySelector('#template>li:first-child').querySelector("a>img").src = data.userFace;
			document.querySelector('.user-name').innerText = (data.realName && data.realName != "null") ? data.realName : data.userName;
			live.addEventListener('click', function() {
				window.closeConsult();
			});
			live.innerText = '结束咨询';
			msgList.notifyUpdate();
			pullDownRefresh();
			scrollToBottom();
			setInputBarEnabled(true);
			pay.innerText = '支付';
			pay.addEventListener('click', function() {
				window.payConsult();
			});
		});

	} else {

		ButtonMgr.setVoiceBtnVisible(false); //隐藏语音
		ButtonMgr.hideVoiceTalk(); //隐藏语音呼叫
		ButtonMgr.hideVideoTalk(); //隐藏视频通话

		var title = document.querySelector('.mui-title');
		title.style.right = 'initial';
		title.style.left = 'initial';

		hideCallButton();
		pay.style.display = 'none';
		var args = new GetRequest();
		live.addEventListener('click', function() {
			window.live()
		});
		live.innerText = '观看直播';
		if(args.classId || args.groupId) {
			modal.show();
			modal.content.querySelector('p').innerText = '正在获取课堂资料';
			loadGroup(args.classId, args.groupId, function(response) {
				modal.hide();
				if(response.success == false) return goBack(response.msg);
				window.classId = response.obj.classId;
				document.getElementById('title').innerText = response.obj.title;
				//							document.getElementById('videoTalk').style.display='none';
				//							document.getElementById('voice').style.display='none';
				//							document.getElementById('voiceTalk').style.display='none';
				if(response.obj.groupId) {
					window.objective = response.obj.groupId;
					if(response.obj.userId != eval(localStorage.profile).userId) joinGroup();
					self.setInterval(function() {
						updateOnlineStatus()
					}, 180000);
					self.setInterval(function() {
						getGroupMemberOnlineCount()
					}, 180000);
					msgList.notifyUpdate();
					pullDownRefresh();
					scrollToBottom();
					setInputBarEnabled(true);
					if(base.getRUMTIME() == '2') {
						history.replaceState({}, '群组聊天', 'IM.html#' + response.obj.groupId);
						window.onbeforeunload = function() {
							history.replaceState({}, '群组聊天', 'IM.html?classId=' + window.classId);
							return null;
						};
					}
				} else {
					if(base.getRUMTIME() == '2') {
						if(response.obj.userId == eval(localStorage.profile).userId) {
							prompt('createGroup:' + window.classId, "");
							console.info('正在尝试自动激活群组！' + window.classId);
						} else {
							mui.toast('当前群组已失效或未开放！');
							android_back();
						}
					} else if(base.getRUMTIME() == 1) {
						console.info('创建课堂！');
						nativeCreateGroup(args.classId, response.obj.title, response.obj.description, response.obj.price);
					} else {
						if(response.obj.userId == eval(localStorage.profile).userId) {
							console.info('创建课堂！');
							im.createGroup(
								response.obj.title,
								response.obj.description,
								function(obj) {
//									mui.toast("成功创建群组:" + response.obj.title);
									submitGroupId(args.classId, obj.data);
									window.objective = obj.data;
									msgList.notifyUpdate();
									pullDownRefresh();
									scrollToBottom();
									setInputBarEnabled(true);

									console.info(obj);
									if(obj.data == "" || obj.data == null) {
										goBack("没有返回群组id");
										return;
									}
								},
								function(obj) {
									goBack("创建群组失败：" + JSON.stringify(obj));
								}
							);
						} else {
							goBack("课堂已不存在！");
						}
					}
				}
			}, function(response) {
				modal.hide();
				mui.toast("获取数据失败！请重新进入再试");
			});
		} else goBack('无效聊天账号！');

	}
}

function androidGetUserState(result) {
	if(result.online && result.deviceType != 'WEB') {
		ButtonMgr.setVoiceBtnVisible(true);
	} else {
		ButtonMgr.setVoiceBtnVisible(false);
	}

	var onlineState = document.querySelector('#title .online-state');
	var stateStrings = [];
	if(onlineState) {
		onlineState.classList.add('show');
		if(result.online == false) {
			onlineState.classList.add('outline');
			stateStrings.push('离线');
		} else {
			if(result.online == true) {
				onlineState.classList.add('online');
				if(result.deviceType.indexOf('ANDROID') != -1) {
					stateStrings.push('安卓');
				} else if(result.deviceType.indexOf('IPHONE') != -1) {
					stateStrings.push('iPhone');
				} else {
					stateStrings.push(result.deviceType);
				}

			}
		}
		onlineState.innerText = stateStrings.join('');
	}
}

function nativeCreateGroup(classID, title, des, price) {
	var notiClass = plus.ios.importClass("NSNotificationCenter");
	notiClass.defaultCenter().postNotificationNameobject("createGroup", classID + ':' + title + ':' + des + ':' + price);
	setInputBarEnabled(true);
	setTimeout(function() {
		if(!window.objective) {
			window.objective = getBackGroupID();
		}
	}, 3000);

}

function getBackGroupID() {
	var UserDefaultsClass = plus.ios.importClass("NSUserDefaults");
	var standardUserDefaults = UserDefaultsClass.standardUserDefaults();
	return plus.ios.invoke(standardUserDefaults, "objectForKey:", "groudId");
}

function setGroupIDNull() {
	var UserDefaultsClass = plus.ios.importClass("NSUserDefaults");
	var standardUserDefaults = UserDefaultsClass.standardUserDefaults();
	return plus.ios.invoke(standardUserDefaults, "objectForKey:", "groudId");
}

function joinGroup() {
	if(base.getRUMTIME() == '2') {
		confirm('joinGroup:' + window.objective);
	} else if(base.getRUMTIME() == 1) {
		var notiClass = plus.ios.importClass("NSNotificationCenter");
		notiClass.defaultCenter().postNotificationNameobject("joinGroup", window.classId + ':' + window.objective);
		console.info('成功加入群组：' + window.objective);
//		mui.toast('您已成功加入该群！');
	} else {
		console.info('加入群组：' + window.objective);
		im.searchGroupById(window.objective,
			function(search) {
				im.joinGroup(window.objective,
					function() {
						console.info('成功加入群组：' + window.objective);
//						mui.toast('您已成功加入该群！');
					},
					function(obj) {
						if(obj.code != 590017) mui.toast('添加群组失败!错误码:' + obj.code);
					}
				);
			},
			function(obj) {
				console.info(JSON.stringify(obj));
			}
		);
	}

}

function onJoinGroupSucceed() {
	msgList.notifyUpdate();
	pullDownRefresh();
	scrollToBottom();
	setInputBarEnabled(true);
}

function onCreateGroupSucceed(groupId) {
//	mui.toast(groupId);
	window.objective = groupId;
	msgList.notifyUpdate();
	pullDownRefresh();
	scrollToBottom();
	setInputBarEnabled(true);
	submitGroupId(window.classId, groupId);
}

function sendText() {
	var text = document.getElementById('text');
	if(!text.value || text.value == '') {
		mui.toast('消息不能为空！');
		return;
	}
	try {
		var msgItem = msgList.sendMessage(msgList.createText(text.value));
		msgList.appendItem(msgItem);
		console.log(msgList.createText(text.value));
		if(base.getRUMTIME() == 2) {
			confirm('sendText:' + text.value);
		} else {
			im.sendText(text.value, window.objective);
		}
		var msg = {
			'msgId': "" + new Date().getTime(),
			'msgOwner': window.user + window.objective,
			'msgSender': window.user,
			'msgReceiver': window.objective
		};
		msg.msgContent = text.value;
		msg.msgDateCreated = msg.msgId;
		msgItem.dataset.time = new Date(msg.msgDateCreated - 0).Format("yyyy-MM-dd hh:mm:ss");
		msg.msgType = 1;
		saveMessage(msg);
		if(window.objective.indexOf('gg') == -1) {
			var isConsult = 1;
			//			var args = GetRequest();
			//			if(args.isConsult) {
			//				isConsult = args.isConsult;
			//			}
			isConsult = window.isConsult;
			saveTextWithIsConsult(text.value, getOriginalUserId(window.user), getOriginalUserId(window.objective), new Date().getTime(), isConsult); //保存文本
			//			saveText(text.value, getOriginalUserId(window.user), getOriginalUserId(window.objective), new Date().getTime()); //保存文本
			if(isFirstMsg == 1) {
				updateConsultContent(text.value);
				isFirstMsg = 0;
			}
			if(base.getRUMTIME() == 1) {
				clearNativeGroupId();
			}
		}
	} catch(e) {
		//		alert(e.message);
	}
	text.value = '';
	text.oninput();
	hideAll();
}

function sendImageFile(file) {
	hideAll();
	var base = new BASE();
	if(base.getRUMTIME() == 2) {
		androidSendFile(file);
	} else {
		webSentFile(file);
	}
}

function clearNativeGroupId() {
	var notiClass = plus.ios.importClass("NSNotificationCenter");
	notiClass.defaultCenter().postNotificationNameobject("clearGroupID", "1");
}

function webSentFile(file) {
	try {
		var msg = {
			'msgId': "" + new Date().getTime(),
			'msgOwner': window.user + window.objective,
			'msgSender': window.user,
			'msgReceiver': window.objective
		};
		msg.msgDateCreated = msg.msgId;
		var pos = file.value.lastIndexOf('\\') + 1;
		msg.msgFileName = file.value.substr(pos);
		msg.msgFileUrl = window.URL.createObjectURL(file.files[0]);
		if(!file.value || file.value == '') return;
		var msgItem;
		var save = true;

		switch(file.id) {
			case 'voice':
				msg.msgType = 2;
				var voice = msgList.createVoice(msg);
				msgItem = msgList.sendMessage(voice);
				im.sendVoice(file.files[0], window.objective); //网页
				break;
			case 'video':
				msg.msgType = 3;
				var video = msgList.createVideo(msg);
				msgItem = msgList.sendMessage(video);
				im.sendVoice(file.files[0], window.objective); //网页
				break;
			case 'image':
			case 'camera':
				msg.msgType = 4;
				var image = msgList.createImage(msg);
				msgItem = msgList.sendMessage(image);

				//方形
				//		var barWrapper = ProgressBar.createWrapperTemplate(null); //DOM Object
				//		var progressBar = ProgressBar.createProgressBarWrapper(null, barWrapper); //create controller

				//环形
				var barWrapper = document.createElement('div'); //DOM Object
				barWrapper.classList.add('progress-wrapper');
				var circle = ProgressBar.createCircleTemplate();
				circle.querySelector('.circle').style.top = '10%';
				circle.querySelector('.circle').style.left = '25%';
				var progressBar = new ProgressBar(circle, 80, 80, 20, '-webkit-radial-gradient(forestgreen,lime)', '-webkit-radial-gradient(lightgrey,grey)'); //create controller

				barWrapper.appendChild(circle);

				msg.msgFileUrl = file.value;
				barWrapper.dataset.msg = JSON.stringify(msg);

				msgItem.querySelector('.right-arrow').style.position = 'relative';
				msgItem.querySelector('.right-arrow').appendChild(barWrapper);
				barWrapper.timer = setTimeout(function() {
					mui.toast('服务器无响应');
					progressBar.tryAgain(function(progressBar) {
						clearTimeout(barWrapper.timer);
						delete barWrapper.timer;
						progressBar.setProgress(0.0);
						sendAgain();
					}, '发送');
				}, 60 * 1000); //超时60s

				function sendAgain() {
					im.sendImage(file.files[0], window.objective, function(success, value, msg, send, total) {
						if(base.getRUMTIME() != 2) {
							if(!success) {
								//success=false 上传失败
								progressBar.failure();
								return;
							}
							//success=true 上传进行中
							//value 上传进度0 -1.0
							//msg 字符串

							console.log('progressBar:' + value);
							progressBar.setProgress(value);
							if(value >= 1.0 || send >= total) {
								clearTimeout(barWrapper.timer); //删除计时器
								delete barWrapper.timer;
								//上传进度>=1.0
								var msg = JSON.parse(barWrapper.dataset.msg);
								console.log(msg);
								progressBar.successfully();

								//写入
								saveMessage(msg);
								saveFile(file, function() {
									file.value = '';
								});

								setTimeout(function() {
									barWrapper.parentNode.removeChild(barWrapper);
									mui.toast('上传完毕');
								}, 250);
							}
						} else {
							progressBar.successfully();

							setTimeout(function() {
								barWrapper.parentNode.removeChild(barWrapper);
								mui.toast('上传完毕');
							}, 250);
						}
					});
				}

				sendAgain();

				save = false; //延迟写入

				//				im.sendImage(file.files[0], window.objective); //网页
				break;
			default:
				msg.msgType = 6;
				var _file = msgList.createFile(msg);
				msgItem = msgList.sendMessage(_file);
				im.sendFile(file.files[0], window.objective); //网页
				break;
		}
		msgItem.dataset.time = new Date(msg.msgDateCreated - 0).Format("yyyy-MM-dd hh:mm:ss");
		msgList.appendItem(msgItem);
		msg.msgFileUrl = file.value;
		if(save) {
			saveMessage(msg);
			saveFile(file, function() {
				file.value = '';
			});
		}
	} catch(e) {
		mui.toast(e.message);
	}
}

function androidSendFile(file) {
	try {
		var msg = {
			'msgId': "" + new Date().getTime(),
			'msgOwner': window.user + window.objective,
			'msgSender': window.user,
			'msgReceiver': window.objective
		};
		msg.msgDateCreated = msg.msgId;
		var pos = file.value.lastIndexOf('\\') + 1;
		msg.msgFileName = file.value.substr(pos);
		msg.msgFileUrl = window.URL.createObjectURL(file.files[0]);
//		mui.toast(msg.msgFileName);
		if(!file.value || file.value == '') return;
		var msgItem;
		switch(file.id) {
			case 'voice':
				msg.msgType = 2;
				var voice = msgList.createVoice(msg);
				msgItem = msgList.sendMessage(voice);
				break;
			case 'video':
				return;
			case 'image':
			case 'camera':
				msg.msgType = 4;
				var image = msgList.createImage(msg);
				msgItem = msgList.sendMessage(image);
				//环形
				var barWrapper = document.createElement('div'); //DOM Object
				barWrapper.classList.add('progress-wrapper');
				var circle = ProgressBar.createCircleTemplate();
				circle.querySelector('.circle').style.top = '10%';
				circle.querySelector('.circle').style.left = '25%';
				var progressBar = new ProgressBar(circle, 80, 80, 20, '-webkit-radial-gradient(forestgreen,lime)', '-webkit-radial-gradient(lightgrey,grey)'); //create controller

				barWrapper.appendChild(circle);

				barWrapper.dataset.msg = JSON.stringify(msg);

				msgItem.querySelector('.right-arrow').style.position = 'relative';
				msgItem.querySelector('.right-arrow').appendChild(barWrapper);
				progressBar.successfully();
				setTimeout(function() {
					barWrapper.parentNode.removeChild(barWrapper);
				}, 250);
				break;
			default:
				msg.msgType = 6;
				var _file = msgList.createFile(msg);
				msgItem = msgList.sendMessage(_file);
				break;
		}
		msgItem.dataset.time = new Date(msg.msgDateCreated - 0).Format("yyyy-MM-dd hh:mm:ss");
		msgList.appendItem(msgItem);
		msg.msgFileUrl = file.value;
		saveMessage(msg);
		saveFile(file, function() {
			file.value = '';
		});
	} catch(e) {
		mui.toast(e.message);
	}
}

function sendVideo(url) {
	var msg = {
		'msgId': "" + new Date().getTime(),
		'msgOwner': window.user + window.objective,
		'msgSender': window.user,
		'msgReceiver': window.objective
	};

	msg.msgDateCreated = msg.msgId;
	msg.msgType = 3;
	var pos = url.lastIndexOf('\\') + 1;
	msg.msgFileName = url.substr(pos);
	msg.msgFileUrl = url;
//	mui.toast(url);
	var video = msgList.createVideo(msg);
	var msgItem = msgList.sendMessage(video);
	msgList.appendItem(msgItem);
	saveMessage(msg);
}

function sendVoice(url, duration) {
	var msg = {
		'msgId': "" + new Date().getTime(),
		'msgOwner': window.user + window.objective,
		'msgSender': window.user,
		'msgReceiver': window.objective
	};
	msg.msgDateCreated = msg.msgId;
	msg.msgType = 2;
	var pos = url.lastIndexOf('\\') + 1;
	msg.msgFileName = url.substr(pos);
	msg.msgFileUrl = url;
	msg.duration = duration;
	var voice = msgList.createVoice(msg);
	var msgItem = msgList.sendMessage(voice);
	msgList.appendItem(msgItem);
	saveMessage(msg);
}

function recordVoice() {
	var voice = document.getElementById('voice'); //网页
	if(base.getRUMTIME() == '2') confirm("recordVoice:");
	else voice.click(); //网页
}

function clickEmoji() {
	var emoji = document.querySelector('#emoji');
	if(emoji.style.display == 'block') {
		hideEmoji();
	} else {
		showEmoji();
	}
}

function showEmoji() {
	if(getPushStateAction() != 'emoji' || !isEmbeddedBack) {

		if(!isEmbeddedBack) {
			if(document.getElementById('emoji').style.display == 'block') {
				hideAll();
				return;
			}
		}

		if(getPushState() == null) {
			pushState('emoji');
		}

		hideAll();
		var emoji = document.querySelector('#emoji');
		emoji.style.display = 'block';

		//state
		setState('emoji');
	} else {
		if(document.getElementById('emoji').style.display != 'none') {
			hideAll();
		}
	}
}

function showPane() {
	if(getPushStateAction() != 'pane' || !isEmbeddedBack) {

		if(!isEmbeddedBack) {
			if(document.getElementById('pane').style.display == 'block') {
				hideAll();
				return;
			}
		}

		if(getPushState() == null) {
			pushState('pane');
		}

		hideAll();
		var pane = document.getElementById('pane');
		pane.style.display = 'block';

		//state
		setState('pane');
	} else {
		if(document.getElementById('pane').style.display == 'none') {
			hideAll();
		}
	}
}

function hideAll() {
	setState('closed');

	hidePane();
	hideEmoji();
}

function hideEmoji() {
	var emoji = document.querySelector('#emoji');
	emoji.style.display = 'none';
	resize();
}

function hidePane() {
	var pane = document.getElementById('pane');
	pane.style.display = 'none';
	resize();
}

function resize() {
	var container = document.getElementById('container');
	var bottomBar = document.getElementById('bottom-bar');
	container.style.bottom = bottomBar.offsetHeight + 'px';
	scrollToBottom();
}

function pullDownRefresh() {
	var container = document.getElementById('container');
	container.onscroll = function() {
		if(this.scrollTop < 1) {
			if(window.disablePullRefresh) return;
			else window.disablePullRefresh = true;
			msgList.notifyUpdate();
			window.disablePullRefresh = false;
		}
	}
}

function showImage(src, fileName) {
	var img = document.createElement('img');

	var downloadCallback = function(popup) {
		var a = document.createElement('a');
		if(src.indexOf('blob') == 0) {
			console.log(src);
			img.onload = function() {
				var dataUrl = objImageCompresser.ImageCompresser.getImageBase64(img, {
					//	maxW: img.width, //不压缩
					maxW: 512 //压缩
				});

				var mime = dataUrl.match(/data:(.*);/)[1];
				var ext = '';
				switch(mime) {
					case 'image/jpeg':
						ext = '.jpg';
						break;
					case 'image/gif':
						ext = '.gif';
						break;
					case 'image/x-ms-bmp':
					case 'image/bmp':
						ext = '.bmp';
						break;
					case 'image/png':
						ext = '.png';
						break;
					case 'image/tiff':
						ext = '.tif';
						break;
					case 'image/x-icon':
						ext = '.ico';
						break;
					case 'image/x-xpixmap':
						ext = '.xpm';
						break;
					default:
						{
							console.error('不支持的图片类型');
							ext = '.jpeg';
						}
				}

				a.setAttribute('href', dataUrl);
				a.setAttribute('download', dataUrl.substr(dataUrl.length - 16) + ext);
				a.click();
			};
			img.src = src;

		} else {
			a.setAttribute('href', src);
			a.setAttribute('download', src);
			a.click();
		}
	};

	img.setAttribute('src', src);

	var base = new BASE();

	if(isDownloadNotSupported | src.indexOf('blob') == 0) {
		downloadCallback = null; //屏蔽
	}

	modal = new MUIPopover.autoPopover({
		domSource: img,
		backgroundAlpha: 0.85,
		closeHandler: function(popup) {
			popup.close();
			modal = null;
		},
		downloadHandler: downloadCallback //downloadCallback为null屏蔽下载按钮
	});

	sessionStorage.modal = 'image';
	sessionStorage.state = JSON.stringify({
		action: 'image'
	});
}

function playVideo(src, fileName) {

	var video = document.createElement('video');
	video.setAttribute('src', src);

	var downloadCallback = function() {
		var a = document.createElement('a');
		a.setAttribute('href', src);
		a.setAttribute('download', src);
		a.click();
	};

	if(isDownloadNotSupported | src.indexOf('blob') == 0) {
		downloadCallback = null;
	}

	modal = new MUIPopover.autoPopover({
		domSource: video,
		backgroundAlpha: 1.0,
		closeHandler: function(popup) {
				popup.close();
				modal = null;
			}
			/*	,
				recycleHandler:function(popup)
				{
					
				}*/
			,
		downloadHandler: downloadCallback
	});

	sessionStorage.modal = 'video';
	sessionStorage.state = JSON.stringify({
		action: 'video'
	});
	//	modal.show();
}

function playVoice(src) {
	var media = document.getElementById('music');
	media.src = src;
	media.play();
}

function closeConsult() {
	/*2016 - 10 -26 by Ethan	
	 * 无关闭咨询
	 * begin
	 */
	hideAll();
	window.consultId = new GetRequest().consultId;
	if(consultId) {
		modal.show();
		modal.content.querySelector('p').innerText = '正在关闭咨询';
		var base = new BASE();
		var url = base.getBASEURL() + " /appapi/1/consult/updateConsultStatus"
		var data = {
			consultId: consultId
		};
		
		//上传
		uploadText();
		
		mui.ajax(url, {
			type: 'POST',
			data: data,
			success: function(response) {
				modal.hide();
				if(response.success) {
					mui.toast('成功结束咨询！');
					setTimeout(function() {
						//						mui.back();
						//openWindow('consult_score.html?consultID=' + consultId);
						history.replaceState({}, '', 'consult_score.html?consultID=' + consultId);
						location.reload();
					}, 1500);
				} else mui.toast(response.msg);
			},
			error: function(response) {
				modal.hide();
				mui.toast("查询数据失败：" + JSON.stringify(response));
			}
		});
	} else mui.toast('获取不到咨询详情！');
}

function payConsult() {
	/*2016 - 12 -03 by Ethan	
	 * 支付咨询费
	 * begin
	 */
	hideAll();
	window.consultId = new GetRequest().consultId;

	//	console.log(talkId+","+succourId);
	var base = new BASE();
	var url = base.getBASEURL() + "appapi/1/succour/confirmAdoption";
	var text = "";

	mui.confirm(text, "是否支付咨询费", ['是', '否'], function(event) {
		if(event.index == 0) {
			mui.prompt('输入咨询金额：', '0', '', function(e) {
				if(e.index == 1) {
					var rewardInput;
					rewardInput = parseFloat(e.value);

					if(isNaN(rewardInput)) {
						console.error(e);
						mui.toast('请输入正确的金额');
						return;
					}
					var userId = location.hash.substr(1);
					if(userId.indexOf('-') < 0) userId = getOriginalUserId(userId);
					openWindow('order.html?doctorId=' + userId + '&fee=' + rewardInput + '&consultId=' + consultId);
				}
			});

		}
	});

}

function live() {
	hideAll();
	modal.show();
	modal.content.querySelector('p').innerText = '正在获取直播信息';
	var base = new BASE();
	var url = base.getBASEURL() + "/appapi/1/class/detail?id=" + window.classId;
	mui.ajax(url, {
		success: function(response) {
			modal.hide();
			var data = response.obj;
			if(!data) {
				mui.toast(response.msg);
				return;
			}
			var profile = eval(localStorage.profile);
			/*
			 * 20161203 ethan 修改逻辑判断逻辑
			 * begin
			 */
			if(profile.userId == data.userId) {
				var live = document.getElementById('live');
				live.innerText = '视频直播';
				if(base.getRUMTIME() == 2) {
					var profile = localStorage.profile;
					var tokenId = eval(profile).tokenId;
					confirm('live:' + window.classId + ':' + data.streamId + ":" + tokenId);
				} else if(base.getRUMTIME() == 1) {
					var notiClass = plus.ios.importClass("NSNotificationCenter");
					notiClass.defaultCenter().postNotificationNameobject("live", data.id + ":" + data.streamId);
				} else {
					mui.toast("请用APP推送直播");
				}
			} else {
				if(!data.onZego) return mui.toast('播主已关闭直播暂时无法观看！');
				if(base.getRUMTIME() == 2) return confirm('play:' + window.classId + ':' + data.streamId);
				history.replaceState({}, '课堂', 'IM.html?classId=' + window.classId);
				window.onbeforeunload = function() {
					return null
				};
				openWindow('live.html?classId=' + window.classId + '&watchBack=0');
			}
			/*
			 * 20161203 ethan 修改逻辑判断逻辑
			 * end
			 */

		},
		error: function(response) {
			modal.hide();
			mui.toast("查询数据失败：" + JSON.stringify(response));
		}
	});
}

function updateOnlineStatus() {
	var base = new BASE();
	var url = base.getBASEURL() + "/appapi/1/class/group/online/status";
	var data = {
		classId: window.classId,
		onlineStatus: 1
	};
	mui.ajax(url, {
		type: "POST",
		data: data,
		success: function(response) {
			if(response.success) {
				//				mui.toast('当前状态在线');
			} else {
				var profile = eval(window.localStorage.profile)
			}
		},
		error: function(response) {
			modal.hide();
		}
	});
}

function getGroupMemberOnlineCount() {
	var base = new BASE();
	var url = base.getBASEURL() + "/appapi/1/class/group/online/count";
	var data = {
		classId: window.classId
	};
	mui.ajax(url, {
		data: data,
		success: function(response) {
			if(!response.success) {
				mui.toast('获取在线人数失败!');
			}
			document.getElementById('online').innerHTML = response.obj.count + '人';
		},
		error: function(response) {
			modal.hide();
			mui.toast('获取在线人数失败！请检查您的网络是否正常！');
		}
	});
}

function loadGroup(classId, groupId, succeed, failed) {
	var base = new BASE();
	var url = base.getBASEURL();
	var data = {};
	if(classId) url += "appapi/1/class/detail?id=" + classId;
	else if(groupId) url += "appapi/1/class/getZego?groupId=" + groupId;
	mui.ajax(url, {
		data: data,
		success: function(response) {
			if(groupId && response.obj) response.obj.groupId = groupId;
			if(classId && response.obj) response.obj.classId = classId;

			var profile = eval(localStorage.profile);
			if(profile.userId == response.obj.userId) {
				var live = document.getElementById('live');
				live.innerText = '视频直播';
			}

			succeed(response);
		},
		error: failed
	});
}

function loadProfile(userId, callback) {
	if(userId.indexOf('-') < 0) userId = getOriginalUserId(userId);
	var base = new BASE();
	var url = base.getBASEURL() + " /appapi/1/user/profile?userId=" + userId;
	if(!window.profileList) window.profileList = {};
	else if(window.profileList[userId]) return callback(window.profileList[userId]);
	mui.ajax(url, {
		success: function(response) {
			modal.hide();
			if(response.success) {

				var authStatus = response.obj.authStatus;
				var profile = eval(localStorage.profile);
				if(authStatus != 1) //对方不是医师，隐藏支付  /  本人是医师，隐藏支付
				{
					var btnPay = document.getElementById('pay');
					btnPay.style.display = 'none';
					//	btnPay.parentNode.removeChild(btnPay);
				}

				window.profileList[userId] = response.obj;
				callback(response.obj);
			} else {
				mui.toast(response.msg);
			}
		},
		error: function(response) {
			modal.hide();
			mui.toast('获取不到对方的资料！请检查您的网络是否正常！');
		}
	});
}

//			function submitGroupId(groupId){
//				var base =new BASE();
//				var url = base.getBASEURL() + "appapi/1/class/updateGroupId?classId="+args.classId+"&groupId="+groupId;
//				mui.ajax(url,
//					{
//					type:"POST",
//					success: function(response){
//						if(response.success==true){
//							mui.toast('更新群组ID成功!');
//							location.reload();
//						}
//						else mui.toast('1更新群组ID失败：'+response.msg);
//					},
//					error: function(response){
//						mui.toast('更新群组ID失败!');
//					}
//				});
//			}

function submitGroupId(classId, groupId) {
	var base = new BASE();
	var url = base.getBASEURL() + "/appapi/1/class/updateGroupId?classId=" + classId + "&groupId=" + groupId;
	mui.ajax(url, {
		type: "POST",
		success: function(response) {
			if(response.success) {
//				mui.toast('更新群组ID成功!');
			} else mui.toast('更新群组ID失败!' + response.msg);
		},
		error: function(response) {
			mui.toast('更新群组ID失败!');
		}
	});
}

function updateConsultContent(msg) {
	var base = new BASE();
	var args = new GetRequest();
	var url = base.getBASEURL() + "appapi/1/consult/updateConsultContent";
	var data = {
		consultId: args.consultId,
		content: msg
	};
	mui.ajax(url, {
		type: "POST",
		data: data,
		success: function(response) {
			if(response.success == true || response.errorCode == 1001) {
				console.info('更新咨询成功');
			} else console.info('更新咨询记录失败：' + response.msg);
		},
		error: function(response) {
			mui.toast('更新咨询记录失败!');
		}
	});
}

function goBack(reason) {
	window.onbeforeunload = function() {
		return null
	};
	if(reason) {
		mui.toast(reason);
		setTimeout(function() {
			if(base.getRUMTIME() == 2) {
				confirm('back:');
			} else {
				mui.back();
			}
		}, 3000);
	} else {
		if(base.getRUMTIME() == 2) {
			updateUnRead('localMessage', 'consult', window.user + window.objective, android_back);
		} else {
			updateUnRead('localMessage', 'consult', window.user + window.objective, mui.back);
		}

	}
}

function pushState(action) {
	if(isEmbeddedBack) {
		history.pushState({
			'action': action
		}, '', location.href);
		sessionStorage.state = JSON.stringify({
			'action': action
		});
	}
}

function getPushState() {
	if(isEmbeddedBack) {
		if(sessionStorage.state) {
			return JSON.parse(sessionStorage.state);
		}
	}
	return null;
}

function getPushStateAction() {
	if(!isEmbeddedBack) {
		return '';
	}
	var state = getPushState();
	return state ? state.action : '';
}

function setState(action) {
	if(isEmbeddedBack) {
		history.replaceState({
			action: action
		}, '', location.href);
		sessionStorage.state = JSON.stringify({
			action: action
		});
	}
}

if(isEmbeddedBack) {
	window.addEventListener('popstate', function(e) {
		var state = getPushState();
		console.log(state);
		//	alert(sessionStorage.state);

		if(state.action == 'closed') {
			mui.confirm('是否退出？', '结束会话', ['是', '否'], function(event) {
				if(event.index == 0) {
					if(base.getRUMTIME() == 2) {
						updateUnRead('localMessage', 'consult', window.user + window.objective, android_back);
					} else {
						updateUnRead('localMessage', 'consult', window.user + window.objective, function() {
							history.back();
						});
					}
				} else {
					pushState('closed');
				}
			});
		} else {
			if(sessionStorage.modal) {
				var modal = sessionStorage.modal;
				sessionStorage.removeItem('modal');
				document.querySelector('.' + modal + '.modal').click();
			}

			if(state.action == 'exit') {
				//mui-back <返回;
				if(isWeiXin | isSafariForIOS) {
					if(base.getRUMTIME() == 2) {
						updateUnRead('localMessage', 'consult', window.user + window.objective, android_back);
					} else {
						updateUnRead('localMessage', 'consult', window.user + window.objective, old_back);
					}
				}
				return;
			} else {
				//'emoji pane image ...'
				pushState('closed');
				hideAll();
			}
		}
	});
}

function getOriginalUserId(userId) {
	var original = userId.substr(0, 8) + '-' + userId.substr(8, 4) + '-' + userId.substr(12, 4) + '-' +
		userId.substr(16, 4) + '-' + userId.substr(20);
	return original;
}

var request = GetRequest();
var old_back = mui.back;
mui.back = function(isGoBack) {

	if(isEmbeddedBack) {
		console.log('back=' + JSON.stringify(history.state));

		var state = getPushState();
		if(state.action != 'closed') {
			hideAll(); //action改为closed
		}

		if(state == null) {
			mui.confirm('是否退出？', '结束会话', ['是', '否'], function(event) {
				if(event.index == 0) {
					if(base.getRUMTIME() == '2') {
						updateUnRead('localMessage', 'consult', window.user + window.objective, android_back);
					} else {
						updateUnRead('localMessage', 'consult', window.user + window.objective, old_back);
					}
				}
			});
		} else {
			if(state.action == 'closed') {
				mui.confirm('是否退出？', '结束会话', ['是', '否'], function(event) {
					if(event.index == 0) {
						sessionStorage.state = JSON.stringify({
							action: 'exit'
						});
						if(base.getRUMTIME() == '2') {
							updateUnRead('localMessage', 'consult', window.user + window.objective, android_back);
						} else {
							history.back();
							updateUnRead('localMessage', 'consult', window.user + window.objective, old_back);
						}
					}
				});
			}
		}
	} else {

		mui.confirm('是否退出？', '结束会话', ['是', '否'], function(event) {
			if(event.index == 0) {
				//				uploadText();
				if(base.getRUMTIME() == '2') {
					updateUnRead('localMessage', 'consult', window.user + window.objective, android_back);
				} else {
					updateUnRead('localMessage', 'consult', window.user + window.objective, old_back);
				}

				//				old_back();
			} else {
				//				uploadText();
			}
		});
	}
}

function android_back() {
	confirm('back:');
}

uploadText();
//首次加载
if(isEmbeddedBack) {
	if(!history.state) {
		pushState('closed');
	} else {
		if(history.state && history.state.action != 'closed') {
			//emoji pane ...
			old_back();
		}
	}
}