mui.init();
var base = new BASE();
window.onpageshow = function() {
	if(base.getRUMTIME() == 1) {
		checkLogin();
		setProfile();
	} else {
		loadProfile(setProfile);
		if(base.getRUMTIME() == '2') {
			document.getElementById('checkUpdate').style.display = 'list-item';
			check4Update();
		}
		hasUnRead(warn);
	}
};

function checkLogin() {
	var base = new BASE();
	var profile = localStorage.profile;
	if(!profile) {
		return;
	}
	profile = eval(profile);
	var tokenId = profile.tokenId;
	mui.ajax(
		base.getBASEURL() + 'appapi/1/user/checkLogin', {
			type: 'POST',
			data: {
				tokenId: tokenId
			},
			success: function(response) {
				if(response.success && response.errorCode == 1001) {
					return;
				} else {
					mui.toast(response.msg);
					_logout();
					//								openWindowInParent('login.html');
				}
			},
			error: function(response) {
				mui.toast('网络连接失败');
			}
		}
	);
}

function loadProfile(callBack) {
	var base = new BASE();
	var modal = new Modal("#waiting");
	var profile = localStorage.profile;
	if(!profile) {
		return;
	}
	profile = eval(profile);
	var tokenId = profile.tokenId;
	localStorage.removeItem("profile");
	var url = base.getBASEURL() + "/appapi/1/user/wxAutoLogin/profile?tokenId=" + tokenId;
	mui.ajax(url, {
		success: function(response) {
			modal.hide();
			console.log(response.obj);
			if(response.errorCode != 1001) {
				mui.toast(response.msg);
				_logout();
			} else {
				window.localStorage.profile = "(" + JSON.stringify(response.obj) + ")";
				callBack();
			}
		},
		error: function(response) {
			modal.hide();
			mui.toast("网络链接失败：" + JSON.stringify(response));
		}
	});
}

/**
 * 在APP自动被调用
 */
if(base.getRUMTIME() == '2') {
	document.getElementById('checkUpdate').style.display = 'list-item';
	check4Update();
}

function check4Update() {
	checkUpdate(function(response) {
		if(!response.success) {
			mui.toast(response.msg);
			return;
		}
		var result = response.obj;

		var versionSize = result.versionSize;
		
		if(versionSize >= 2) {
			sessionStorage.setItem('versionSize', versionSize);
		}
		else
		{
			sessionStorage.removeItem('versionSize');
		}

		var needUpdate = isNeededUpdate(result.version);
		if(needUpdate) {
			document.getElementById('checkVersion').style.display = 'block';
		}
	});
}

function checkUpdate(callback) {
	var url = base.getBASEURL() + "appapi/1/version/get";
	mui.ajax(
		url, {
			data: {
				platform: 2
			},
			success: function(response) {
				callback(response);
			},
			error: function(response) {
				mui.toast('更新失败：' + JSON.stringify(response));
			}
		}
	);
}
// app版本更新
function isNeededUpdate(version) {
	if(base.getRUMTIME() == '2') return confirm('checkUpdate:' + version);
	else return false;
}

function login() {
	openWindowInParent('login.html');
}

function _logout() {
	localStorage.removeItem("profile");
	delCookie("name");
	delCookie("pwd");
	delCookie("isAutoLogin");
	clearObjectStore("localMessage", "consult",
		function resutl() {
			var base = new BASE();
			var url = base.getBASEURL() + "appapi/1/user/logout";
			mui.ajax(url, {
				data: "",
				type: 'post',
				success: function(response) {
					if(!response.success) {
						mui.toast(response.msg);
						return;
					}
					if(base.getRUMTIME() == '2') confirm('logout:');
					mui.toast("注销成功");
					login();
					if(base.getRUMTIME() == 1) {
						var NSNotificationCenter = plus.ios.importClass("NSNotificationCenter");
						NSNotificationCenter.defaultCenter().postNotificationNameobject("logout", "1");
						setNotProfile();
					}
				},
				error: function(response) {
					mui.toast("注销失败!");
				}
			});
		});

}

function onLogoutSucceed() {
	openWindowInParent('login.html');
}

function setProfile() {
	var profile = eval(window.localStorage.profile);
	if(!profile) return;
	document.getElementById("name").innerText = profile.realName;
	if(profile.vip == 0) {
		document.getElementById("dept").innerText = '普通用户';
	} else if(profile.vip == 1) {
		document.getElementById("dept").innerText = '认证咨询师';
	} else if(profile.vip == 2) {
		document.getElementById("dept").innerText = '认证审核中';
	} else if(profile.vip == 3) {
		document.getElementById("dept").innerText = '认证失败，请重新提交审核';
	}
	//document.getElementById("dept").innerText = profile.userId;
	document.getElementById("dummy").style.display = 'none';
	document.getElementById("real").style.display = 'block';
	document.getElementById("avatar").setAttribute("src", profile.userFace + "?imageView2/1/w/92/h/92");
	var consult = document.getElementById('myconsult');
	var blog = document.getElementById('myblog');
	var help = document.getElementById('helpCell');
	if(profile.vip == 1) {
		document.querySelector('.doctor').style.display = "block";
		document.querySelector('#verifyCell').style.display = "none";
	} else {
		document.querySelector('.doctor').style.display = "none";
		document.querySelector('.mine').style.display = "block";
	}

	if(base.getRUMTIME() == 1) {
		document.querySelector('.xg_tb13').style.display = 'block';
		document.querySelector('.xg_tb12').style.display = 'block';
		if(isAudit() == '1') {
			document.querySelector('.xg_tb13').style.display = 'none';
			document.querySelector('.xg_tb12').style.display = 'none';
		}
	} else {
		document.querySelector('.xg_tb13').style.display = 'block';
		document.querySelector('.xg_tb12').style.display = 'block';
	}
}
/**
 * 
 * @param {Object} url
 * @param {Object} isIgnore 是否忽略检查
 */
function _jump(url, isIgnore) {

	switch(url) {
		case 'mine_ProductMgr.html':
			{
				var base = new BASE();
				var url = base.getBASEURL() + "/appapi/1/user/getMallToken";
				mui.ajax(url, {
					data: {},
					type: "POST",
					success: function(response) {
						if(response.success) {
							var token = response.msg;
							console.log(token);

							var url = base.getMallUrl() + 'api/productList.do';
							mui.ajax(url, {
								data: {
									tk: token,
									page: 1,
									pageSize: 100,
									marketEnable: 1
								},
								type: "POST",
								success: function(response) {
									if(response.result == 1) {
										setTimeout(function() {
											openWindowInParent('mine_ProductMgr.html');
										}, 1000);
									} else {
										mui.toast(response.message);
										setTimeout(function() {
											openWindowInParent('mine_OpenMall.html');
										}, 1000);
									}
								},
								error: function(response) {
									mui.toast("网络出错：" + JSON.stringify(response));
								}
							});

						} else {
							mui.toast(response.msg);
						}
					},
					error: function(response) {
						mui.toast("网络出错：" + JSON.stringify(response));
					}
				});
				return;
			}
			break;
	}

	if(localStorage.profile || isIgnore) {
		openWindowInParent(url);
	} else {
		openWindowInParent('login.html');
	}
}

function warn(isHas) {
	if(isHas == 1) document.getElementById('newMessage').style.display = 'block';
	if(isHas == 2) document.getElementById('newMessage4YS').style.display = 'block';
	if(isHas == 3) {
		document.getElementById('newMessage').style.display = 'block';
		document.getElementById('newMessage4YS').style.display = 'block';
	}
}

function msgRefresh(id) {
	hasUnRead(warn);
}

function setNotProfile() {
	document.getElementById("dummy").style.display = 'block';
	document.getElementById("real").style.display = 'none';
}

function showRedDotAdvice() {
	document.querySelector('.redDotAdvice').style.display = 'block';
	document.querySelector('.normalAdvice').style.display = 'none';
}

function hideRedDotAdvice() {
	document.querySelector('.redDotAdvice').style.display = 'none';
	document.querySelector('.normalAdvice').style.display = 'block';
}

function showRedDotYSConsult() {
	document.querySelector('.redDotYSConsult').style.display = 'block';
	document.querySelector('.normalYSConsult').style.display = 'none';
}

function hideRedDotYSConsult() {
	document.querySelector('.redDotYSConsult').style.display = 'none';
	document.querySelector('.normalYSConsult').style.display = 'block';
}